// solider moves diagram - MotionCapture sources

// define default action sets

enum ManPos
{
	ManPosDead,
	ManPosWeapon, // special weapon - AT
	ManPosBinocLying,
	ManPosLyingNoWeapon,
	ManPosLying,
	//ManPosCombatOptics, // aiming with gun
	ManPosCombat,
	ManPosStand, // moves with weapon on the back
	ManPosNoWeapon, // civilian moves
	ManPosBinoc, // binocular position
	ManPosBinocStand, // binocular position (weapon on back)
};

#define RunDuty -0.5
#define WalkDuty -0.7
#define RestDuty -1
#define CrawlDuty -0.0
#define SprintDuty 0.6

#define SPEED_STATIC 1e10

class CfgVehicleActions
{

	// mapping on in-vehicle animations
	m113gunner="M113Gunner";
	m113driver="M113Driver";
	m113driverOut="M113DriverOut";

	m113medic="M113Medic";
	m113injured="Nemocnej";

	m60driver="M60Driver";
	m60gunner="M60Gunner";
	m60commander="M60Commander";
	m60driverOut="M60DriverOut";
	m60commanderOut="M60CommanderOut";

	m1A1driver="M1A1Driver";
	m1A1gunner="M1A1Gunner";
	m1A1commander="M1A1Commander";
	m1A1driverOut="M1A1DriverOut";
	m1A1commanderOut="M1A1CommanderOut";

	bmpdriver="BMPDriver";
	bmpgunner="BMPGunner";
	bmpgunnerOut="BMPGunnerOut";
	bmpcommander="BMPCommander";
	bmpdriverOut="BMPDriverOut";
	bmpcommanderOut="BMPCommanderOut";

	t72driver="T72Driver";
	t72gunner="T72Gunner";
	t72gunnerOut="T72GunnerOut";
	t72commander="T72Commander";
	t72driverOut="T72DriverOut";
	t72commanderOut="T72CommanderOut";

	t80driver="T72Driver";
	t80gunner="T72Gunner";
	t80gunnerOut="T80GunnerOut";
	t80commander="T72Commander";
	t80driverOut="T72DriverOut";
	t80commanderOut="T80CommanderOut";

	t55driver="T72Driver";
	t55gunner="T55Gunner";
	t55gunnerOut="T55Gunner";
	t55commander="T55Commander";
	t55driverOut="T55DriverOut";
	t55commanderOut="T55CommanderOut";

	uh60pilot = "UH60Pilot";
	uh60gunner = "UH60Gunner";

	ah1pilot = "AH1Pilot";
	ah1gunner = "AH1Gunner";

	a10pilot = "A10Pilot";

	cessnaPilot = "cesnaPilot";
	cessnaCoPilot = "cesnaPilot";
	cessnaCargo = "cesnaCargo";

	mi17pilot = "Mi17Pilot";
	mi24pilot = "Mi24Pilot";
	mi24gunner = "Mi24Gunner";

	jeepDriver = "JeepDriver";
	jeepGunner = "JeepGunner";
	jeepCoDriver = "JeepCoDriver";
	jeepCoDriverBack = "JeepCoDriverBack";

	truck5TDriver = "5TDriver";
	truck5TCoDriver = "5TCoDriver";

	uralDriver = "uralDriver";
	uralCoDriver = "uralCoDriver";

	skodaDriver = "skodaDriver";
	skodaCoDriver = "skodaCoDriver";
	skodaCoDriverBack = "skodaCoDriverBack";

	pbrDriver = "pbrDriver";
	pbrGunner = "pbrGunner";

	hrlDriver = "pbrDriver";
	hrlGunner = "hrlGunner";

	m2gunner = "m2Gunner";

	ScudDriver="ScudDriver";
	ScudCoDriver="ScudCoDriver";

	v3sDriver = "v3sDriver";
	v3sCoDriver = "v3sCoDriver";

	cargo="Cargo";

	UAZDriver="UAZDriver";
	UAZCoDriver="UAZCoDriver";
	//UAZGunner="UAZGunner";

	ZSUDriver="ZSUDriver";
	ZSUGunner="ZSUGunner";
	ZSUGunnerOut="ZSUGunnerOut";
	ZSUCommander="ZSUCommander";
	ZSUCommanderOut="ZSUCommanderOut";

	tractorDriver="TractorDriver";

	shipCargo="Cargo";
	shipDriver="Cargo";

	para="Para";
};
class CfgMovesMC
{
	access = ReadAndCreate;
	class Actions
	{
		class NoActionsAll
		{
			access = ReadOnlyVerified;

			#define ACTION(x) x="";
			#include "manActions.hpp"
			#undef ACTION
		}
		class NoActions: NoActionsAll
		{
			// default actions - for all states
			ladderOnDown = "LadderDownStart";
			ladderOnUp = "LadderUpStart";

			turnSpeed=1;
			upDegree=-1; // no corresponding degree
			limitFast = 5;

		};
		

		class DeadActions: NoActions
		{
			upDegree=ManPosDead;
		};
		class CargoActions: NoActions
		{
			die="DeadState";
		};

		class WeaponActions: NoActions
		{
			stop="Weapon";

			upDegree=ManPosWeapon;
			weaponOn="Weapon";
			weaponOff="Crouch";

			down="Lying";
			up="Combat";

			lying="Lying";
			combat="Combat";
			stand="Stand";
			die="WeaponDead";
			civilLying="CivilLying";
			civil="Civil";

			walkF="WeaponWalkF";
			walkLF="WeaponWalkLF";
			walkRF="WeaponWalkRF";
			walkL="WeaponWalkL";
			walkR="WeaponWalkR";
			walkLB="WeaponWalkLB";
			walkRB="WeaponWalkRB";
			walkB="WeaponWalkB";

			slowF="WeaponWalkF";
			slowLF="WeaponWalkLF";
			slowRF="WeaponWalkRF";
			slowL="WeaponWalkL";
			slowR="WeaponWalkR";
			slowLB="WeaponWalkLB";
			slowRB="WeaponWalkRB";
			slowB="WeaponWalkB";

			fastF="WeaponWalkF";
			fastLF="WeaponWalkLF";
			fastRF="WeaponWalkRF";
			fastL="WeaponWalkL";
			fastR="WeaponWalkR";
			fastLB="WeaponWalkLB";
			fastRB="WeaponWalkRB";
			fastB="WeaponWalkB";

			turnL="WeaponTurnL";
			turnR="WeaponTurnR";

			default = "Combat";

			getInCar="CombatGetInCar";
			getOutCar="Combat";
			getInTank="CombatGetInTank";
			getOutTank="CombatGetOutTank";

			reloadAT="WeaponReloadAT";
		};

		class StandActions: NoActions
		{
			// letters: F,B,L,R - front, back, left, right
			stop="Stand";
			default = "Stand";

			walkF="StandWalkF";
			walkLF="StandWalkLF";
			walkRF="StandWalkRF";
			walkL="StandWalkL";
			walkR="StandWalkR";
			walkLB="StandWalkLB";
			walkRB="StandWalkRB";
			walkB="StandWalkB";

			slowF="StandWalkF";
			slowLF="StandWalkLF";
			slowRF="StandWalkRF";
			slowL="StandWalkL";
			slowR="StandWalkR";
			slowLB="StandWalkLB";
			slowRB="StandWalkRB";
			slowB="StandWalkB";

			fastF="StandRunF";
			fastLF="StandWalkLF";
			fastRF="StandWalkRF";
			fastL="StandWalkL";
			fastR="StandWalkR";
			fastLB="StandWalkLB";
			fastRB="StandWalkRB";
			fastB="StandWalkB";

			down="Combat";
			up="Combat";

			weaponOn="Weapon";
			weaponOff="Stand";

			binocOn="BinocStand"
			binocOff="Stand"

			strokeFist = "StandStrokeFist";
			strokeGun = "";

			lying="Lying";
			combat="Combat";
			stand="Stand";
			civil="Civil";
			civilLying="CivilLying";
			fireNotPossible="Combat";

			turnL="StandTurnL";
			turnR="StandTurnR";

			getInCar="StandGetInCar";
			getOutCar="Stand";
			getInTank="StandGetInTank";
			getOutTank="StandGetOutTank";

			sitDown="StandToSitDown";
			salute="EffectStandSaluteStart";

			turnSpeed = 4;
			limitFast = 2.5;

			die="StandDead";

			upDegree=ManPosStand;
		};

		class StandStillActions: StandActions
		{
			stop = "EffectStandStill";
			default = "EffectStandStill";
		};
		class StandStandActions: StandActions
		{
			stop = "EffectStand";
			default = "EffectStand";
		};
		class StandSaluteActions: StandActions
		{
			stop = "EffectStandSalute";
			default = "EffectStandSalute";
			salute="";
		};
		class StandTalkActions: StandActions
		{
			stop = "EffectStandTalk";
			default = "EffectStandTalk";
		};

		class SitActions: StandActions
		{
			turnL="";
			turnR="";
			stop = "EffectStandSitDown";
			default = "EffectStandSitDown";
			strokeFist="";
			sitDown="";
			die="SitDownDead";
		};
		class CivilActions: StandActions
		{
			// letters: F,B,L,R - front, back, left, right
			stop="Civil";
			default = "Civil";

			walkF="CivilWalkF";
			walkLF="CivilWalkLF";
			walkRF="CivilWalkRF";
			walkL="CivilWalkL";
			walkR="CivilWalkR";
			walkLB="CivilWalkLB";
			walkRB="CivilWalkRB";
			walkB="CivilWalkB";

			slowF="CivilWalkF";
			slowLF="CivilWalkLF";
			slowRF="CivilWalkRF";
			slowL="CivilWalkL";
			slowR="CivilWalkR";
			slowLB="CivilWalkLB";
			slowRB="CivilWalkRB";
			slowB="CivilWalkB";

			fastF="CivilRunF";
			fastLF="CivilRunLF";
			fastRF="CivilRunRF";
			fastL="CivilRunL";
			fastR="CivilRunR";
			fastLB="CivilRunLB";
			fastRB="CivilRunRB";
			fastB="CivilRunB";

			down="CivilLying";
			up="CivilLying";

			lying="Lying";
			combat="Combat";
			stand="Stand";
			civil="Civil";
			civilLying="CivilLying";

			throwGrenade="CombatThrowGrenadeStart";

			turnL="CivilTurnL";
			turnR="CivilTurnR";

			die="CivilDead";

			/*
			turnL="StandTurnL";
			turnR="StandTurnR";

			getInCar="StandGetInCar";
			getOutCar="Stand";
			getInTank="StandGetInTank";
			getOutTank="StandGetOutTank";

			turnSpeed = 4;

			die="StandDead";
			*/

			limitFast = 4;

			upDegree=ManPosNoWeapon;
		};
		class CombatActions: NoActions
		{
			stop="Combat";
			default = "Combat";
			stopRelaxed="CombatRelaxed";

			reloadMagazine="CombatReloadMagazine";
			reloadMGun="CombatReloadMGun";
			reloadMortar="CombatReloadMortarStart";
			throwGrenade="CombatThrowGrenadeStart";

			walkF="CombatWalkF";
			walkLF="CombatWalkLF";
			walkRF="CombatWalkRF";
			walkL="CombatWalkL";
			walkR="CombatWalkR";
			walkLB="CombatWalkLB";
			walkRB="CombatWalkRB";
			walkB="CombatWalkB";

			slowF="CombatRunF";
			slowLF="CombatRunLF";
			slowRF="CombatRunRF";
			slowL="CombatRunL";
			slowR="CombatRunR";
			slowLB="CombatRunLB";
			slowRB="CombatRunRB";
			slowB="CombatRunB";

			fastF="CombatSprintF";
			fastLF="CombatSprintLF";
			fastRF="CombatSprintRF";
			fastL="CombatRunL";
			fastR="CombatRunR";
			fastLB="CombatRunLB";
			fastRB="CombatRunRB";
			fastB="CombatRunB";

			down="Lying";
			up="Crouch";

			lying="Lying";
			combat="Combat";
			stand="Stand";
			civil="Civil";
			civilLying="CivilLying";

			die="CombatDead";
			weaponOn="Weapon";

			binocOn="Binoc";
			binocOff="Combat";

			takeFlag ="CombatToTakeFlag";
			putDown ="PutDown";
			medic ="Medic";
			treated ="Treated";
			//putDownEnd ="Combat";

			strokeFist = "";
			strokeGun = "CombatStrokeGun";

			turnL="CombatTurnL";
			turnR="CombatTurnR";
			turnLRelaxed="CombatTurnLRelaxed";
			turnRRelaxed="CombatTurnRRelaxed";

			getInCar="CombatGetInCar";
			getOutCar="Combat";
			getInTank="CombatGetInTank";
			getOutTank="CombatGetOutTank";

			turnSpeed = 8;
			limitFast = 5.5;

			upDegree=ManPosCombat;
		};
		class CrouchActions: CombatActions
		{
			stop="Crouch";
			default = "Crouch";
			up="Combat";
			reloadMagazine="CrouchReloadMagazine";
			reloadMG="CrouchReloadMagazine";
			die="CrouchDead";
			weaponOn="Weapon";

			/*!
			\internal 1.06 Date 07/19/2001 by Ondra
			- Fixed: crouch mode was forgotten while walking.
			*/

			walkF="CrouchWalkF";
			walkLF="CrouchWalkLF";
			walkRF="CrouchWalkRF";
			walkL="CrouchWalkL";
			walkR="CrouchWalkR";
			walkLB="CrouchWalkLB";
			walkRB="CrouchWalkRB";
			walkB="CrouchWalkB";

			slowF="CrouchRunF";
			slowLF="CrouchRunLF";
			slowRF="CrouchRunRF";
			slowL="CrouchRunL";
			slowR="CrouchRunR";
			slowLB="CrouchRunLB";
			slowRB="CrouchRunRB";
			slowB="CrouchRunB";

			/*!
			\patch 1.04 Date 07/16/2001 by Ondra
			- New: Sprint possible when in ironsight view.
			*/

			fastF="CrouchSprintF";
			fastLF="CrouchSprintLF";
			fastRF="CrouchSprintRF";
			fastL="CrouchRunL";
			fastR="CrouchRunR";
			fastLB="CrouchRunLB";
			fastRB="CrouchRunRB";
			fastB="CrouchRunB";

			binocOn="BinocCrouch"
			binocOff="Crouch"

			turnL="CrouchTurnL";
			turnR="CrouchTurnR";
		};

		class CombatStandingUpActions: CombatActions
		{
			die = "LyingDead";
		};


		class CombatRunFActions: CombatActions
		{
			throwGrenade="CombatRunThrowGrenadeStart";
			die=CombatRunDead;
		};
		class CombatRunBActions: CombatActions
		{
			die=CombatRunBDead;
		};

		class CrouchRunFActions: CrouchActions
		{
			throwGrenade="CombatRunThrowGrenadeStart";
			die=CombatRunDead;
		};
		class CrouchRunBActions: CrouchActions
		{
			die=CombatRunBDead;
		};

		#define CrouchWalkFActions CrouchActions
		#define CrouchWalkBActions CrouchActions

		class CombatRelaxedActions: CombatActions
		{
			die=CombatRelaxedDead;
		};
		class LyingActions: NoActions
		{
			stop="Lying";
			default = "Lying";

			reloadMagazine="LyingReloadMagazine";
			reloadMGun="LyingReloadMagazine";
			throwGrenade="LyingThrowGrenadeStart";

			walkF="LyingCrawlF";
			walkLF="LyingCrawlLF";
			walkRF="LyingCrawlRF";
			walkL="LyingCrawlL";
			walkR="LyingCrawlR";
			walkLB="LyingCrawlLB";
			walkRB="LyingCrawlRB";
			walkB="LyingCrawlB";

			slowF="LyingCrawlF";
			slowLF="LyingCrawlLF";
			slowRF="LyingCrawlRF";
			slowL="LyingCrawlL";
			slowR="LyingCrawlR";
			slowLB="LyingCrawlLB";
			slowRB="LyingCrawlRB";
			slowB="LyingCrawlB";

			fastF="LyingFastCrawlF";
			fastLF="LyingCrawlLF";
			fastRF="LyingCrawlRF";
			fastL="LyingCrawlL";
			fastR="LyingCrawlR";
			fastLB="LyingCrawlLB";
			fastRB="LyingCrawlRB";
			fastB="LyingCrawlB";

			down="Combat";
			up="Crouch";

			lying="Lying";
			combat="Combat";
			stand="Stand";
			civil="Civil";
			civilLying="CivilLying";

			die="LyingDead";
			weaponOn="Weapon";
			weaponOff="Lying";

			binocOn="BinocLying";
			binocOff="Lying";

			turnL="LyingTurnL";
			turnR="LyingTurnR";

			getInCar="CombatGetInCar";
			getOutCar="Combat";
			getInTank="CombatGetInTank";
			getOutTank="CombatGetOutTank";

			takeFlag ="CombatToTakeFlag";
			putDown ="PutDownLying";
			medic ="Medic";
			treated ="TreatedLying";

			turnSpeed=3;

			upDegree=ManPosLying;
		};
		class CrawlingActions: LyingActions
		{
			up="CombatRunF";
			combat="CombatRunF";
		};
		class CivilLyingActions: LyingActions
		{
			stop="CivilLying";
			down="Civil";
			up="Civil";

			walkF="CivilLyingCrawlF";
			walkLF="CivilLyingCrawlLF";
			walkRF="CivilLyingCrawlRF";
			walkL="CivilLyingCrawlL";
			walkR="CivilLyingCrawlR";
			walkLB="CivilLyingCrawlLB";
			walkRB="CivilLyingCrawlRB";
			walkB="CivilLyingCrawlB";

			slowF="CivilLyingCrawlF";
			slowLF="CivilLyingCrawlLF";
			slowRF="CivilLyingCrawlRF";
			slowL="CivilLyingCrawlL";
			slowR="CivilLyingCrawlR";
			slowLB="CivilLyingCrawlLB";
			slowRB="CivilLyingCrawlRB";
			slowB="CivilLyingCrawlB";

			fastF="CivilLyingFastCrawlF";
			fastLF="CivilLyingCrawlLF";
			fastRF="CivilLyingCrawlRF";
			fastL="CivilLyingCrawlL";
			fastR="CivilLyingCrawlR";
			fastLB="CivilLyingCrawlLB";
			fastRB="CivilLyingCrawlRB";
			fastB="CivilLyingCrawlB";

			upDegree=ManPosLyingNoWeapon;
		};
		class CivilCrawlingActions: CivilLyingActions
		{
		};

		class LadderActions: NoActions
		{
			stop=LadderStatic;
			default=LadderStatic;
			// no movement while on ladder
			// no transitions not possible
			// no actions not possible
			upDegree=ManPosStand;
			turnSpeed = 0.1;
			ladderOff="LadderDownEnd";

			ladderOffTop="LadderUpEnd";
			ladderOffBottom="LadderDownEnd";
			
			down="LadderDownLoop";
			up="LadderUpLoop";
		};
		class LadderUpActions: LadderActions
		{
			ladderOff="LadderUpEnd";
		};
		class LadderDownActions: LadderActions
		{
			ladderOff="LadderDownEnd";
		};

		class CombatNoMoveActions: CombatActions
		{
			stopRelaxed="";
			// no movement while binoculing
			walkF="";walkLF="";walkRF="";walkL="";walkR="";
			walkLB="";walkRB="";walkB="";
			slowF="";slowLF="";slowRF="";slowL="";slowR="";
			slowLB="";slowRB="";slowB="";
			fastF="";fastLF="";fastRF="";fastL="";fastR="";
			fastLB="";fastRB="";fastB="";
			turnL="";turnR="";
			turnLRelaxed="";turnRRelaxed="";
			turnSpeed = 2;
		};

		#define TimedCombatActionsExt(x,y) \
			class x##Actions: CombatActions \
			{ \
				stop=#y;default = #y; \
				down="Lying";up="Combat"; \
				turnL=""; \
				turnR=""; \
				turnLRelaxed="";turnRRelaxed=""; \
				putDownEnd ="Combat"; \
				fireNotPossible="Combat"; \
			};
		#define TimedCombatActions(x) TimedCombatActionsExt(x,x)
		/*
			class x##Actions: CombatActions \
			{ \
				stop=#x;default = #x; \
				down="Lying";up="Combat"; \
				turnL=""; \
				turnR=""; \
				turnLRelaxed="";turnRRelaxed=""; \
				putDownEnd ="Combat"; \
				fireNotPossible="Combat"; \
			};
		*/

		TimedCombatActions(PutDown)
		TimedCombatActionsExt(TakeFlag,Combat)
		TimedCombatActions(Medic)
		TimedCombatActions(Treated)

		#define TimedLyingActions(x) \
			class x##Actions: LyingActions \
			{ \
				stop=#x;default = #x; \
				down="Lying";up="Lying"; \
				turnL=""; \
				turnR=""; \
				turnLRelaxed="";turnRRelaxed=""; \
				putDownEnd ="Lying"; \
				fireNotPossible="Lying"; \
			};

		TimedLyingActions(PutDownLying)
//		TimedLyingActions(Medic)
		TimedLyingActions(TreatedLying)

		class BinocActions: CombatNoMoveActions
		{
			stop="Binoc";

			default = "Binoc";

			binocOff="Combat";

			upDegree=ManPosBinoc;
		};
		class BinocLyingActions: LyingActions
		{
			stop="BinocLying";
			default = "BinocLying";

			binocOff="Lying";

			// no movement while binoculing
			walkF="";walkLF="";walkRF="";walkL="";walkR="";
			walkLB="";walkRB="";walkB="";
			slowF="";slowLF="";slowRF="";slowL="";slowR="";
			slowLB="";slowRB="";slowB="";
			fastF="";fastLF="";fastRF="";fastL="";fastR="";
			fastLB="";fastRB="";fastB="";
			turnL="";turnR="";
			turnLRelaxed="";turnRRelaxed="";

			upDegree=ManPosBinocLying;
			turnSpeed = 1;
		};

		class BinocStandActions: StandActions
		{
			stop="BinocStand";
			default = "BinocStand";

			binocOff="Stand";

			// no movement while binoculing
			walkF="";walkLF="";walkRF="";walkL="";walkR="";
			walkLB="";walkRB="";walkB="";
			slowF="";slowLF="";slowRF="";slowL="";slowR="";
			slowLB="";slowRB="";slowB="";
			fastF="";fastLF="";fastRF="";fastL="";fastR="";
			fastLB="";fastRB="";fastB="";
			turnL="";turnR="";
			turnLRelaxed="";turnRRelaxed="";

			upDegree=ManPosBinocStand;
			turnSpeed = 2;
		};

		class BinocCrouchActions: CrouchActions
		{
			stop="BinocCrouch";
			default = "BinocCrouch";

			binocOff="Crouch";

			// no movement while binoculing
			walkF="";walkLF="";walkRF="";walkL="";walkR="";
			walkLB="";walkRB="";walkB="";
			slowF="";slowLF="";slowRF="";slowL="";slowR="";
			slowLB="";slowRB="";slowB="";
			fastF="";fastLF="";fastRF="";fastL="";fastR="";
			fastLB="";fastRB="";fastB="";
			turnL="";turnR="";
			turnLRelaxed="";turnRRelaxed="";

			upDegree=ManPosBinoc;
			turnSpeed = 2;
		};

	};
	class BlendAnims
	{
		// different ways to blend animations (head, arms, legs...)
		aimingDefault[]=
		{
			hlava,1,krk,1,
			zbran,1,roura,1,
			lrameno,1,prameno,1,
			lbiceps,1,lloket,1,lruka,1,
			pbiceps,1,ploket,1,pruka,1,
			hrudnik,0.9,zebra,0.5,bricho,0.2
		};
		legsDefault[]=
		{
			lprsty,1,pprsty,1,
			lchodidlo,1,pchodidlo,1,
			lholen,0.95,pholen,0.95,
			lstehno,0.9,pstehno,0.9,
			lzadek,0.5,pzadek,0.5
		};
		headDefault[]=
		{
			hlava,1,krk,0.5
			//lrameno,0.1,prameno,0.1,
			//hrudnik,0.2
		};
		aimingLying[]=
		{
			hlava,1,krk,0.9,
			lrameno,0.5,prameno,0.5,
			hrudnik,0.8,zebra,0.5
		};
		aimingNo[]={};
		legsNo[]={};
		headNo[]={};
	};

	class Default // default state
	{
		access = ReadOnlyVerified;

		actions = StandActions;
		file=""; // default - no file
		looped=true;
		speed=0.5;
		disableWeapons=false;
		enableOptics=true; // note: this is tested only when disableWeapons is false
		disableWeaponsLong=false;
		showWeaponAim=true;
		enableMissile = false;
		enableBinocular = false;
		showItemInHand = false;
		showItemInRightHand = false;
		onLandBeg=false;
		onLandEnd=false;
		onLadder=false;
		duty=-0.5;

		visibleSize = 1;
		aimPrecision = 1;
		recoilSuffix = "";

		relSpeedMin=1.0;
		relSpeedMax=1.0;
		soundEnabled=true;
		soundOverride=""; // default - no override
		soundEdge1=0.5;soundEdge2=1; // in what relative positions sound should start
		terminal = false; // all movement stops here
		limitGunMovement=1;
		variantsPlayer[]={}; // variants for player
		variantsAI[]={""}; // variants for AI - default is to use players variants
		equivalentTo=""; // whioch move is this variant of
		connectAs=""; // connection same as some other state
		variantAfter[]={5,10,20}; // min, mid, max: time after which variant should be run

		connectFrom[]={}; // after which state may be this one played
		connectTo[]={}; // which state may be played after this one
		interpolateWith[]={}; // which states may we interpolate with
		interpolateTo[]={}; // which states may we interpolate with
		interpolateFrom[]={}; // which states may we interpolate with

		aiming = aimingDefault;
		legs = legsDefault;
		head = headDefault;

		interpolationSpeed=6; // inverse of interpolation time
		interpolationRestart=false;

		// only some animations need to be resident 
		preload = false;
	};
	class StandBase: Default
	{
		limitGunMovement=0;
		aiming=aimingNo;
		disableWeapons=true;
		disableWeaponsLong=true;
	};
	class LadderBase: StandBase
	{
		actions=LadderActions;
		aiming=aimingNo;
		legs=legsNo;
		onLadder=true;
		disableWeapons=true;
	};
	class LadderUpBase: LadderBase
	{
		actions=LadderUpActions;
	};
	class LadderDownBase: LadderBase
	{
		actions=LadderDownActions;
	};
	class DefaultDie: Default
	{
		limitGunMovement=0;
		aiming=aimingNo;
		legs=legsNo; // all animation copies slope
		head=headNo;
		disableWeapons=true;
		interpolationRestart=true;
		soundOverride="fallbody";
		soundEdge1=0.45;soundEdge2=0.45;
	};

	class States
	{
		class DeadState: Default
		{
			// after terminal dead
			// this state is only virtual as is never reached
			actions = DeadActions;
			file=bezsmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
		};


		#define VEH_DIE(Name,anim,time) \
			class Name##Dying: DefaultDie \
			{ \
				actions = NoActions; \
				file=anim##smrt.rtm; \
				speed=-time; \
				looped=false; \
				soundEnabled=false; \
			}; \
			class Name##Dead: Name##Dying \
			{ \
				actions = DeadActions; \
				file=anim##smrt2.rtm; \
				speed=SPEED_STATIC; \
				terminal = true; \
				connectFrom[]={Name##Dying,1}; \
				connectTo[]={DeadState,1}; \
			}

		#define VEH_DIE_CONN(Name,anim,time) \
			class Name##Dying: DefaultDie \
			{ \
				actions = NoActions; \
				file=anim##smrt.rtm; \
				speed=-time; \
				looped=false; \
				soundEnabled=false; \
				connectFrom[]={Name,1}; \
			}; \
			class Name##Dead: Name##Dying \
			{ \
				actions = DeadActions; \
				file=anim##smrt2.rtm; \
				speed=SPEED_STATIC; \
				terminal = true; \
				connectFrom[]={Name##Dying,1}; \
				connectTo[]={DeadState,1}; \
			}

		#define VEHIN_MOVES(Name,anim) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
			}
		#define VEHIN_MOVES_VAR(Name,anim,vartime) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
				variantsAI[]= {Name##V1,0.7,Name};\
				interpolateWith[]={Name##V1,0.5};\
				equivalentTo=Name; \
				interpolationSpeed=1; \
				connectTo[]={Name##Dying,1}; \
			} \
			class Name##V1: Name \
			{ \
				file=anim.rtm; \
				speed=-vartime; \
				looped=true; \
			}
		#define VEHIN_MOVES_VAR_NODEAD(Name,anim,vartime) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
				variantsAI[]= {Name##V1,0.7,Name};\
				interpolateWith[]={Name##V1,0.5};\
				equivalentTo=Name; \
				interpolationSpeed=1; \
			} \
			class Name##V1: Name \
			{ \
				file=anim.rtm; \
				speed=-vartime; \
				looped=true; \
			}
		#define VEH_MOVES(Name,anim,time) \
			VEHIN_MOVES(Name,anim); \
			VEH_DIE_CONN(Name,anim,time)

		#define VEH_MOVES_VAR(Name,anim,time,vartime) \
			VEHIN_MOVES_VAR(Name,anim,vartime); \
			VEH_DIE_CONN(Name,anim,time)

		#define VEHICLE_DIE(name) VEH_DIE(name,name,1)
		#define VEHICLE_MOVES(name) VEH_MOVES(name,name,1)
		#define VEHICLEIN_MOVES(name) VEHIN_MOVES(name,name)
		#define VEHICLE_MOVES_VAR(name) VEH_MOVES_VAR(name,name,1,4)
		#define VEHICLEIN_MOVES_VAR(name) VEHIN_MOVES_VAR_NODEAD(name,name,4)

		class Stand: StandBase
		{
			actions = StandActions;
			file=bezstanistat.rtm; // 88
			speed = SPEED_STATIC; // negative - time is given
			looped=true;
			soundEnabled=false;
			variantAfter[]={1,3,6}; // min, mid, max: time after which variant should be run
			variantsAI[]={StandVar2,0.7, Stand,0.3};
			equivalentTo=Stand;
			interpolationSpeed=1;
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
		};
		class StandVar2: Stand
		{
			file=bezstanistill.rtm;
			speed = -7.8; // negative - time is given
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
		};
		
		/*
		class StandVar3: Stand
		{
			file=bezkouri.rtm;
			speed = -15; // negative - time is given
			variantAfter[]={20,30,45}; // min, mid, max: time after which variant should be run
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
		};
		*/
		
		class StandWalkF: StandBase
		{
			actions = StandActions;
			file=chuzeBez0l.rtm; // 95
			speed = -1.2;
			looped=true;
			duty=WalkDuty;
			relSpeedMin=0.7;
			relSpeedMax=1.0;
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
		};
		// L is negative angle
		// R is positive angle
		class StandWalkLF: StandWalkF
		{ // angle -45
			file=chuzebez-45L.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandWalkRF: StandWalkF
		{ // angle +45
			file=chuzebez45L.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandWalkL: StandWalkF
		{
			file=chuzebez-90L.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandWalkR: StandWalkF
		{
			file=chuzebez90L.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandWalkLB: StandWalkF
		{
			file=chuzebez-135l.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandWalkRB: StandWalkF
		{
			file=chuzebez135l.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandWalkB: StandWalkF
		{
			file=chuzebez180l.rtm;
			speed=-1.53;
			looped=true;
		};
		class StandRunF: StandWalkF
		{
			file=bezbeh.rtm;
			speed=-0.8;
			duty=RunDuty;
			relSpeedMin=0.7;
			relSpeedMax=1.0;
		};

		class StandToCombat: Default
		{
			actions = CombatActions;
			file=stanidostanis.rtm;
			speed=-1.8;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatToStand: Default
		{
			actions = StandActions;
			file=sstanidostani.rtm;
			speed=-2.5;
			looped=false;
			disableWeapons=true;
			disableWeaponsLong=true;
			soundEnabled=false;
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
			//interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatToLying: Default
		{
			actions = LyingActions;
			file=stanisdolehu.rtm;
			speed=-1.5;
			looped=false;
			onLandEnd=true;
			//disableWeapons=true;
			enableOptics=false;
			interpolateTo[]={LyingDying,1};
			soundEnabled=true;
			soundOverride="laydown";
			soundEdge1=0.1;soundEdge2=0.1;
		};
		class CombatRunFToLying: Default
		{
			actions = LyingActions;
			file=behleh.rtm;
			speed=-1.5;
			looped=false;
			onLandEnd=true;
			disableWeapons=true;
			soundEnabled=true;
			interpolateTo[]={LyingDying,1};
			soundOverride="laydown";
			soundEdge1=0.1;soundEdge2=0.1;
		};
		class LyingToCombat: Default
		{
			actions = CombatStandingUpActions;
			file=lehdostanis.rtm;
			speed=-2;
			looped=false;
			onLandBeg=true;
			enableOptics=false;
			//disableWeapons=true;
			interpolateTo[]={LyingDying,1};
			soundEnabled=true;
			soundOverride="standup";
			soundEdge1=0.01;soundEdge2=0.01;
		};
		class LyingToCombatRun: Default
		{
			actions = CombatStandingUpActions;
			file=lehbeh.rtm;
			speed=-1.0;
			looped=false;
			onLandBeg=true;
			disableWeapons=true;
			soundEnabled=true;
			interpolateTo[]={LyingDying,1};
			soundOverride="standup";
			soundEdge1=0;soundEdge2=0;
		};

		/*
		class CombatBase: Default
		{
			preload = true;

			actions = CombatActions;
			file=sstanistat.rtm;
			looped=true;
			duty = RestDuty;
		}
		*/
		class Combat: Default
		{
			actions = CombatActions;
			preload = true;
			file=sstanistat.rtm;
			speed=SPEED_STATIC;
			looped=true;
			soundEnabled=false;
			duty = RestDuty;

			variantsPlayer[]={CombatStillPlayer,0.5,Combat};
			variantsAI[]={CombatStillPlayer,0.3,CombatStillV1,0.5,Combat};
		};
		class CombatRelaxed: Combat
		{
			actions=CombatRelaxedActions;
			file=savarestanistat.rtm;
			speed=SPEED_STATIC;
			looped=true;
			disableWeapons=false;
			variantsAI[]={CombatRelaxedStill,0.8,CombatRelaxed};
			interpolateTo[]={CombatRelaxedDying,0.1,CombatRelaxedDyingVer2,0.1};
		};

		class CombatStillV1: Combat
		{
			file=sstani.rtm;
			speed=-6.8;
			looped=true;
			equivalentTo=Combat;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatStillPlayer: Combat
		{
			file=sstaniSoft.rtm;
			speed=-6.8;
			looped=true;
			equivalentTo=Combat;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatRelaxedStill: Combat
		{
			actions=CombatRelaxedActions;
			file=savarestani.rtm;
			speed=-5;
			looped=true;
			disableWeapons=false;
			equivalentTo=CombatRelaxed;
		};

		class CombatReloadMagazine: Default
		{
			preload = true;
			actions = CombatActions;
			file=snabij.rtm;
			speed=- 2.4; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;

			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};

		class CombatToBinoc: Default
		{
			actions = CombatActions;
			file=sdalek.rtm;
			speed=-1.0;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;
		};
		class Binoc: Default
		{
			actions = BinocActions;
			file=sdalekstat.rtm; // TODO: ai variants
			speed=SPEED_STATIC;
			looped=true;
			disableWeapons=false;
			showItemInHand = true;
			soundEnabled=false;
			enableBinocular = true;
			head=headNo;
		};
		class BinocToCombat: Default
		{
			actions = CombatActions;
			file=sdalek2.rtm;
			speed=-1.0; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;
		}

		class Crouch: Combat
		{
			preload = true;
			actions=CrouchActions;
			file=klek.rtm;
			speed=SPEED_STATIC;
			variantsPlayer[]={};
			variantsAI[]={};
			visibleSize = 0.6;
			aimPrecision = 0.5;
			recoilSuffix = "halffixed";
		};
		// intermediate state - used for interpolation
		// between crouch fordard and crouch back movements
		class CrouchIM: Combat
		{
			actions=CrouchActions;
			//file=klek.rtm;
			speed=SPEED_STATIC;
			variantsPlayer[]={};
			variantsAI[]={};
		};
		class CrouchToCombat: Default
		{
			preload = true;
			actions=CombatActions;
			file=klekdostani.rtm;
			speed=-0.4;
			looped=false;
			soundEnabled=false;
			enableOptics=false;
			connectFrom[]={Crouch,0.5};
			connectTo[]={Combat,0.5};
		};
		class CrouchToCrouchSprintF: Default
		{
			preload = true;
			actions=CrouchRunFActions;
			file=klekbeh.rtm;
			speed=-0.4;
			looped=false;
			soundEnabled=false;
			connectFrom[]={Crouch,0.4};
			enableOptics=false;
			connectTo[]={CrouchSprintF,0.4};
			interpolateTo[]={Crouch,1};
		};
		class CombatToCrouch: Default
		{
			preload = true;
			actions=CrouchActions;
			file=sstanidoklek.rtm;
			speed=-0.4;
			looped=false;
			soundEnabled=false;
			enableOptics=false;
			connectFrom[]={Combat,0.5};
			connectTo[]={Crouch,0.5};
		};
		class CrouchToLying: Default
		{
			preload = true;
			actions=LyingActions;
			file=klekleh.rtm;
			speed=-1;
			looped=false;
			connectFrom[]={Crouch,1};
			connectTo[]={Lying,1};
			soundEnabled=true;
			enableOptics=false;
			soundOverride="laydown";
			soundEdge1=0.1;soundEdge2=0.1;
			onLandEnd=true;
		};
		class LyingToCrouch: Default
		{
			preload = true;
			actions=CrouchActions;
			file=lehklek.rtm;
			speed=-1;
			looped=false;
			connectFrom[]={Lying,1};
			connectTo[]={Crouch,1};
			soundEnabled=true;
			enableOptics=false;
			soundOverride="standup";
			soundEdge1=0.01;soundEdge2=0.01;
			onLandBeg=true;
		};

		class CrouchReloadMagazine: Default
		{
			preload = true;
			actions = CrouchActions;
			file=kleknabij.rtm;
			speed=- 2.4; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;

			visibleSize = 0.6;
			aimPrecision = 0.5;
			recoilSuffix = "halffixed";

			connectFrom[]={Crouch,1};
			connectTo[]={Crouch,1};
			interpolateTo[]={CrouchDying,0.1};
		};

		class CrouchDying: DefaultDie
		{
			actions = NoActions;
			file=kleksmrt.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			connectFrom[]={Crouch,1};
			connectTo[]={CrouchDead,1};
		};
		class CrouchDead: CrouchDying
		{
			actions = DeadActions;
			file=kleksmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
		};


		class CrouchToWeapon: Default
		{
			actions = WeaponActions;
			file=klekdoAT.rtm;
			speed=-2.0; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			connectFrom[]={Crouch,1};
			connectTo[]={Weapon,1};
		};

		class WeaponToCrouch: Default
		{
			actions = CrouchActions;
			file=atdoklek.rtm;
			speed=-2.0; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			connectFrom[]={Weapon,1.2};
			connectTo[]={Crouch,1.2};
		};

		class LyingToBinocLying: Default
		{
			actions = LyingActions;
			file=plazenidalek.rtm;
			speed=-2.0;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			showItemInHand = true;
			onLandBeg=true;
			onLandEnd=true;
		};
		class BinocLying: Default
		{
			actions = BinocLyingActions;
			file=plazenidalekstat.rtm; // TODO: ai variants
			speed=SPEED_STATIC;
			looped=true;
			disableWeapons=false;
			showItemInHand = true;
			soundEnabled=false;
			enableBinocular = true;
			onLandBeg=true;
			onLandEnd=true;
			duty = RestDuty;
		};
		class BinocLyingToLying: Default
		{
			actions = LyingActions;
			file=plazenidalek2.rtm;
			speed=-2.0; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;
			onLandBeg=true;
			onLandEnd=true;
		};

		class StandToBinocStand: Default
		{
			actions = StandActions;
			file=bezdalek.rtm;
			speed=-1.0;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;

			connectFrom[]={Stand,2};
		};
		class BinocStand: Default
		{
			actions = BinocStandActions;
			file=bezdalekstat.rtm; // TODO: ai variants
			speed=SPEED_STATIC;
			looped=true;
			disableWeapons=false;
			showItemInHand = true;
			soundEnabled=false;
			enableBinocular = true;
			connectFrom[]={StandToBinocStand,1};
			connectTo[]={BinocStandToStand,1};
		};
		class BinocStandToStand: Default
		{
			actions = StandActions;
			file=bezdalek2.rtm;
			speed=-1.0;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;
			connectTo[]={Stand,2};
		};

		#define CombatTimedMove(Name,anim1,time1,anim2,time2,anim3,time3,loop) \
			class CombatTo##Name: Default \
			{ \
				actions = CombatActions; \
				file=anim1.rtm; \
				speed=time1; \
				looped=false; \
				disableWeapons=true; \
				soundEnabled=false; \
				connectFrom[]={Combat,1}; \
				interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1}; \
			}; \
			class Name: Default \
			{ \
				actions = Name##Actions; \
				file=anim2.rtm; \
				speed=time2; \
				looped=loop; \
				disableWeapons=true; \
				disableWeaponsLong=true; \
				soundEnabled=false; \
				aiming=aimingNo; \
				connectFrom[]={CombatTo##Name,2}; \
				connectTo[]={Name##ToCombat,2}; \
				interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1}; \
			}; \
			class Name##ToCombat: Default \
			{ \
				actions = CombatActions; \
				file=anim3.rtm; \
				speed=time3; \
				looped=false; \
				disableWeapons=true; \
				soundEnabled=false; \
				connectTo[]={Combat,1}; \
				interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1}; \
			};
		CombatTimedMove(TakeFlag,spoloz,-0.7,spolozstat,-2.5,spoloz2,-1.0,true)
		CombatTimedMove(PutDown,spoloz,-0.7,spolozstat,SPEED_STATIC,spoloz2,-1.0,true)
		CombatTimedMove(Medic,smedicstart,-1,smedicloop,-3,smedicend,-1.0,false)
		CombatTimedMove(Treated,sosetrenstart,-5,sosetrenloop,-3,sosetrenend,-1.0,false)

			/*
			class PutDownToLying: Default
			{
				actions = LyingActions;
				file=spolozdolehu.rtm;
				speed=-1;
				looped=false;
				disableWeapons=true;
				soundEnabled=false;
				connectFrom[]={PutDown,1};
				connectTo[]={Lying,1};
				interpolateTo[]={LyingDying,0.1};
			};
			*/

/*!
\patch 1.01 Date 06/07/2001 by Ondra
- Fixed visibility during actions while laying down.
- Same fix applied to transitions from/to lying or weapon positions.
*/

		#define LyingTimedMove(Name,anim1,time1,anim2,time2,anim3,time3,loop) \
			class LyingTo##Name: Default \
			{ \
				actions = LyingActions; \
				file=anim1.rtm; \
				speed=time1; \
				looped=false; \
				visibleSize = 0.28; \
				disableWeapons=true; \
				soundEnabled=false; \
				connectFrom[]={Lying,1}; \
				interpolateTo[]={LyingDying,0.1}; \
			}; \
			class Name: Default \
			{ \
				actions = Name##Actions; \
				file=anim2.rtm; \
				speed=time2; \
				looped=loop; \
				visibleSize = 0.28; \
				disableWeapons=true; \
				disableWeaponsLong=true; \
				soundEnabled=false; \
				aiming=aimingNo; \
				connectFrom[]={LyingTo##Name,2}; \
				connectTo[]={Name##ToLying,2}; \
				interpolateTo[]={LyingDying,0.1}; \
			}; \
			class Name##ToLying: Default \
			{ \
				actions = LyingActions; \
				file=anim3.rtm; \
				speed=time3; \
				looped=false; \
				visibleSize = 0.28; \
				disableWeapons=true; \
				soundEnabled=false; \
				connectTo[]={Lying,1}; \
				interpolateTo[]={LyingDying,0.1}; \
			};
		LyingTimedMove(PutDownLying,lehpoloz,-1.0,lehpolozstat,SPEED_STATIC,lehpoloz2,-1.0,true)
		LyingTimedMove(TreatedLying,lehosetrenstart,-5,lehosetrenloop,-3,lehosetrenend,-1.0,false)


		class CombatReloadMGun: Default
		{
			actions = CombatActions;
			file=kulometnabij.rtm;
			speed=-2.93;
			looped=false;
			disableWeapons=true;
		};
		class CombatReloadMortarStart: Default
		{
			actions = CombatActions;
			file=minabijstart.rtm;
			speed=-2.415;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
		};
		class CombatReloadMortarEnd: Default
		{
			actions = CombatActions;
			file=minabijend.rtm;
			speed=-0.7;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
		};
		class CombatThrowGrenadeStart: Default
		{
			actions = CombatActions;
			file=sgranat.rtm;
			speed=-1.4;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatThrowGrenadeEnd: Default
		{
			actions = CombatActions;
			file=sgranat2.rtm;
			speed=-0.97;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatRunThrowGrenadeStart: Default
		{
			actions = CombatRunFActions;
			file=sbehgranat.rtm;
			speed=-1.4;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={CombatRunDying,0.1,CombatRunDyingVer2,0.1};
		};
		class CombatRunThrowGrenadeEnd: Default
		{
			actions = CombatRunFActions;
			file=sbehgranat2.rtm;
			speed=-0.97;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			connectFrom[]={Combat,1};
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
		};
		class CombatStrokeGun: Default
		{
			actions = CombatActions;
			file=spazba.rtm;
			speed=-2.2;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
			connectFrom[]={Combat,1};
			connectTo[]={CombatStrokeGunEnd,1};
		};
		class CombatStrokeGunEnd: Default
		{
			actions = CombatActions;
			file=sstanistat.rtm;
			speed=SPEED_STATIC;
			looped=true;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={CombatDying,0.1,CombatDyingVer2,0.1,CombatDyingVer3,0.1};
			connectTo[]={Combat,1};
		};

		// combat movement
		class CombatRunF: Default
		{
			preload = true;

			actions = CombatRunFActions;
			file=sbeh0l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
			showWeaponAim=false;

			relSpeedMin=0.7;
			relSpeedMax=1.0;
		};
		class CombatRunLF: CombatRunF
		{
			preload = false;

			file=sbeh-45l.rtm;
			speed=-0.7;
		};
		class CombatRunRF: CombatRunF
		{
			preload = false;

			file=sbeh45l.rtm;
			speed=-0.7;
		};

		class CombatRunNF: CombatRunF // NotFront
		{
			preload = false;

			actions = CombatActions;
		};
		class CombatRunL: CombatRunNF
		{
			file=sbeh-90l.rtm;
			speed=-0.7;
		};
		class CombatRunR: CombatRunNF
		{
			file=sbeh90l.rtm;
			speed=-0.76;
		};
		class CombatRunLB: CombatRunNF
		{
			actions=CombatRunBActions;
			file=sbeh-135l.rtm;
			speed=-0.7;
		};
		class CombatRunRB: CombatRunNF
		{
			actions=CombatRunBActions;
			file=sbeh135l.rtm;
			speed=-0.7;
		};
		class CombatRunB: CombatRunNF
		{
			actions=CombatRunBActions;
			file=sbeh180L.rtm;
			speed=-0.7;
		};

		class CombatSprintF: Default
		{
			preload = true;
			actions = CombatRunFActions
			looped=true;
			file = ssprint0.rtm;
			speed=-0.4;
			duty=SprintDuty;
			showWeaponAim=false;
			enableOptics=false;

			relSpeedMin=0.7;
			relSpeedMax=1.0;
		};
		class CombatSprintLF: CombatSprintF
		{
			preload = false;
			file=ssprint-45l.rtm;
			speed=-0.45;
			duty=SprintDuty;
		};
		class CombatSprintRF: CombatSprintF
		{
			preload = false;
			file=ssprint45l.rtm;
			speed=-0.45;
			duty=SprintDuty;
		};

		class CombatTurnR: Default
		{
			actions = CombatActions;
			file=svpravo.rtm;
			speed = -1.8; // negative - time is given
			looped=true;
			soundEnabled=false;
			relSpeedMin=0.9;
			relSpeedMax=1.0;
		};
		class CombatTurnL: Default
		{
			actions = CombatActions;
			file=svlevo.rtm;
			speed = -1.8; // negative - time is given
			looped=true;
			soundEnabled=false;
			relSpeedMin=0.9;
			relSpeedMax=1.0;
		};

		class CombatTurnRRelaxed: CombatTurnR
		{
			file=savaredoprava.rtm;
			speed = -2.6; // negative - time is given
		};
		class CombatTurnLRelaxed: CombatTurnL
		{
			file=savaredoleva.rtm;
			speed = -2.6; // negative - time is given
		};

		class CombatWalkF: Default
		{
			actions = CombatActions;
			file=schuze0l.rtm;
			speed=-0.8;
			looped=true;
			duty=WalkDuty;

			relSpeedMin=0.7;
			relSpeedMax=1.0;
		};
		class CombatWalkLF: CombatWalkF
		{
			file=schuze-45l.rtm;
		};
		class CombatWalkRF: CombatWalkF
		{
			file=schuze45l.rtm;
		};
		class CombatWalkL: CombatWalkF
		{
			file=schuze-90l.rtm;
		};
		class CombatWalkR: CombatWalkF
		{
			file=schuze90l.rtm;
		};

		class CombatWalkLB: CombatWalkF
		{
			file=schuze-135l.rtm;
		};
		class CombatWalkRB: CombatWalkF
		{
			file=schuze135l.rtm;
		};
		class CombatWalkB: CombatWalkF
		{
			file=schuze180l.rtm;
		};

		// modified combat movement (crouch mode)
		// BEG CROUCH RUN
		class CrouchRunF: CombatRunF
		{
			actions=CrouchRunFActions;
			connectAs=CombatRunF;
			interpolateTo[]={Crouch,1};
			enableOptics=false;
		};
		class CrouchRunLF: CombatRunLF
		{
			actions=CrouchRunFActions;
			connectAs=CombatRunLF;
			interpolateWith[]={Crouch,1};
			enableOptics=false;
		};
		class CrouchRunRF: CombatRunRF
		{
			actions=CrouchRunFActions;
			connectAs=CombatRunRF;
			interpolateWith[]={Crouch,1};
			enableOptics=false;
		};

		class CrouchRunL: CombatRunL
		{
			actions=CrouchRunFActions;
			connectAs=CombatRunL;
			interpolateWith[]={Crouch,1};
		};
		class CrouchRunR: CombatRunR
		{
			actions=CrouchRunFActions;
			connectAs=CombatRunR;
			interpolateWith[]={Crouch,1};
		};

		class CrouchRunLB: CombatRunLB
		{
			actions=CrouchRunBActions;
			connectAs=CombatRunLB;
			interpolateWith[]={Crouch,1};
			enableOptics=false;
		};
		class CrouchRunRB: CombatRunRB
		{
			actions=CrouchRunBActions;
			connectAs=CombatRunRB;
			interpolateWith[]={Crouch,1};
			enableOptics=false;
		};

		class CrouchRunB: CombatRunB
		{
			actions=CrouchRunBActions;connectAs=CombatRunB;
			interpolateWith[]={Crouch,1};
			enableOptics=false;
		};
		// END CROUCH RUN


		// BEG CROUCH WALK
		// combat movement
		class CrouchWalkF: CombatWalkF
		{
			actions=CrouchWalkFActions;
			connectAs=CombatWalkF;
			enableOptics=false;
			interpolateWith[]={Crouch,1};
		};
		class CrouchWalkLF: CombatWalkLF
		{
			actions=CrouchWalkFActions;
			connectAs=CombatWalkLF;
			enableOptics=false;
			interpolateWith[]={Crouch,1};
		};
		class CrouchWalkRF: CombatWalkRF
		{
			actions=CrouchWalkFActions;
			connectAs=CombatWalkRF;
			enableOptics=false;
			interpolateWith[]={Crouch,1};
		};

		class CrouchWalkL: CombatWalkL
		{
			actions=CrouchWalkFActions;
			connectAs=CombatWalkL;
			interpolateWith[]={Crouch,1};
		};
		class CrouchWalkR: CombatWalkR
		{
			actions=CrouchWalkFActions;
			connectAs=CombatWalkR;
			interpolateWith[]={Crouch,1};
		};

		class CrouchWalkLB: CombatWalkLB
		{
			actions=CrouchWalkBActions;
			connectAs=CombatWalkLB;
			enableOptics=false;
			interpolateWith[]={Crouch,1};
		};
		class CrouchWalkRB: CombatWalkRB
		{
			actions=CrouchWalkBActions;
			connectAs=CombatWalkRB;
			enableOptics=false;
			interpolateWith[]={Crouch,1};
		};

		class CrouchWalkB: CombatWalkB
		{
			actions=CrouchWalkBActions;connectAs=CombatWalkB;
			enableOptics=false;
			interpolateWith[]={Crouch,1};
		};
		// END CROUCH WALK

		class CrouchSprintF: CombatSprintF
		{
			actions=CrouchRunFActions;connectAs=CombatSprintF;
			enableOptics=false;
		};
		class CrouchSprintLF: CombatSprintLF
		{
			actions=CrouchRunFActions;connectAs=CombatSprintLF;
			enableOptics=false;
		};
		class CrouchSprintRF: CombatSprintRF
		{
			actions=CrouchRunFActions;connectAs=CombatSprintRF;
			enableOptics=false;
		};

		class CrouchTurnR: CombatTurnR {actions=CrouchActions;connectAs=CombatTurnR;};
		class CrouchTurnL: CombatTurnL {actions=CrouchActions;connectAs=CombatTurnL;};

		///////////////
		class CrouchToBinocCrouch: Default
		{
			actions = CrouchActions;
			file=klekdalekstart.rtm;
			speed=-1.0;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;

			connectFrom[]={Crouch,2};
		};
		class BinocCrouch: Default
		{
			actions = BinocCrouchActions;
			file=klekdalekstat.rtm; // TODO: ai variants
			speed=SPEED_STATIC;
			looped=true;
			disableWeapons=false;
			showItemInHand = true;
			soundEnabled=false;
			enableBinocular = true;
			connectFrom[]={CrouchToBinocCrouch,1};
			connectTo[]={BinocCrouchToCrouch,1};
		};
		class BinocCrouchToCrouch: Default
		{
			actions = CrouchActions;
			file=klekdalekend.rtm;
			speed=-1.0;
			looped=false;
			disableWeapons=true;
			showItemInHand = true;
			soundEnabled=false;
			connectTo[]={Crouch,2};
		};


		class CivilBase: Default
		{
			aiming=aimingNo;
			actions = CivilActions;
			duty = RestDuty;
			disableWapons=true;
			interpolateTo[]=
			{
				CivilDying,0.1,CivilDyingVer2,0.1
			};
		};
		class Civil: CivilBase
		{
			file=civilstat.rtm;
			speed = SPEED_STATIC;
			looped=true;
			soundEnabled=false;
			variantAfter[]={1,3,6}; // min, mid, max: time after which variant should be run
			variantsAI[]={Civil,0.2, CivilStillV1,0.8};
			equivalentTo=Civil;
			interpolateTo[]=
			{
				CombatThrowGrenadeStart,1,
				CombatRunThrowGrenadeStart,1,
				CivilDying,0.1,CivilDyingVer2,0.1
			};
			interpolateFrom[]={CombatThrowGrenadeEnd,1};
		};
		class CivilStillV1: Civil
		{
			actions = CivilActions;
			file=civilstani.rtm;
			speed=-10;
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};
		class CivilWalkF: CivilBase
		{
			file=civilchuze0l.rtm;
			speed=-1.0;
			looped=true;
			duty=WalkDuty;
			relSpeedMin=0.7;
			relSpeedMax=1.0;
		};
		class CivilWalkLF: CivilWalkF
		{
			file=civilchuze-45l.rtm;
		};
		class CivilWalkRF: CivilWalkF
		{
			file=civilchuze45l.rtm;
		};
		class CivilWalkL: CivilWalkF
		{
			file=civilchuze90l.rtm;
		};
		class CivilWalkR: CivilWalkF
		{
			file=civilchuze-90l.rtm;
		};
		class CivilWalkLB: CivilWalkF
		{
			file=civilchuze-135l.rtm;
		};
		class CivilWalkRB: CivilWalkF
		{
			file=civilchuze135l.rtm;
		};
		class CivilWalkB: CivilWalkF
		{
			file=civilchuze180l.rtm;
		};

		class CivilRunF: CivilWalkF
		{
			file=civilbeh0l.rtm;
			speed=-0.55;
			looped=true;
			duty=RunDuty;
		};
		class CivilRunLF: CivilRunF
		{
			file=civilbeh-45l.rtm;
		};
		class CivilRunRF: CivilRunF
		{
			file=civilbeh45l.rtm;
		};
		class CivilRunL: CivilRunF
		{
			file=civilbeh-90l.rtm;
		};
		class CivilRunR: CivilRunF
		{
			file=civilbeh90l.rtm;
		};
		class CivilRunLB: CivilRunF
		{
			file=civilbeh-135l.rtm;
		};
		class CivilRunRB: CivilRunF
		{
			file=civilbeh135l.rtm;
		};
		class CivilRunB: CivilRunF
		{
			file=civilbeh180l.rtm;
		};
		class CivilTurnR: CivilBase
		{
			actions = CivilActions;
			file=civildoprava.rtm;
			speed = -1.6; // negative - time is given
			looped=true;
			soundEnabled=false;
			relSpeedMin=0;
			relSpeedMax=1.0;
			duty = RestDuty;
		};
		class CivilTurnL: CivilBase
		{
			actions = CivilActions;
			file=civildoleva.rtm;
			speed = -1.6; // negative - time is given
			looped=true;
			soundEnabled=false;
			relSpeedMin=0;
			relSpeedMax=1.0;
			duty = RestDuty;
		};

		class Lying: Default
		{
			preload = true;
			actions = LyingActions;
			file=leh.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			duty = RestDuty;
			visibleSize = 0.25;
			aimPrecision = 0.3;
			recoilSuffix = "fixed";
		};
		class LyingNoAim: Lying
		{
			preload = false;
			limitGunMovement=0;
			aiming=aimingLying;
			legs=legsNo; // all animation copies slope
		};
		class LyingStillV1: Lying
		{
			file=polehavani.rtm;
			speed=-6.2;
		};
		class LyingTurnL: Lying
		{
			preload = false;
			file=plizenidoleva.rtm;
			speed=-4;
			duty = CrawlDuty;
		};
		class LyingTurnR: Lying
		{
			preload = false;
			file=plizenidoprava.rtm;
			speed=-4;
			duty = CrawlDuty;
		};
		class LyingReloadMagazine: LyingNoAim
		{
			preload = true;
			actions = LyingActions;
			file=plizeninabij.rtm;
			speed=-2.4; //puvodene speed=-7.6;
			disableWeapons=true;
			looped=false;
			interpolateTo[]={LyingDying,1};
		};
		class LyingThrowGrenadeStart: LyingNoAim
		{
			limitGunMovement=1;
			file=plazenigranat.rtm;
			speed=-1.8;
			disableWeapons=true;
			duty = CrawlDuty;
		};
		class LyingThrowGrenadeEnd: LyingNoAim
		{
			limitGunMovement=1;
			file=plazenigranat2.rtm;
			speed=-2.3;
			disableWeapons=true;
			duty = CrawlDuty;
		};
		class LyingCrawlF: LyingNoAim
		{
			preload = true;
			actions=CrawlingActions;
			file=plazni0l.rtm;
			speed=-1.0;
			duty = CrawlDuty;
			disableWeapons=true;
			enableOptics=false;
			soundEnabled=true;
			soundOverride="crawl";
		};
		class LyingFastCrawlF: LyingCrawlF
		{
			actions=CrawlingActions;
			file=ultraplaz.rtm;			
			speed=-0.8;
			disableWeapons=true;
			duty = SprintDuty;
		};
		class LyingCrawlLF: LyingCrawlF
		{
			preload = false;
			file=plizeni-45l.rtm;
			speed=-1.0;
		};
		class LyingCrawlRF: LyingCrawlF
		{
			preload = false;
			file=plizeni45l.rtm;
			speed=-1.0;
		};
		class LyingCrawlL: LyingCrawlF
		{
			preload = false;
			actions=LyingActions;
			file=plizeni-90l.rtm;
			speed = -1.0;
		};
		class LyingCrawlR: LyingCrawlL
		{
			preload = false;
			file=plizeni90l.rtm;
			speed = -1.0;
		};
		class LyingCrawlLB: LyingCrawlL
		{
			preload = false;
			file=plizeni-135l.rtm;
			speed=-1.1;
		};
		class LyingCrawlRB: LyingCrawlL
		{
			preload = false;
			file=plizeni135l.rtm;
			speed=-1.1;
		};
		class LyingCrawlB: LyingCrawlL
		{
			preload = false;
			file=plizeni180L.rtm;
			speed = -1.1;
		};

		class LyingDying: DefaultDie
		{
			preload = true;
			actions = NoActions;
			file=plazenismrt.rtm;
			speed=-1;
			onLandEnd=true;
			looped=false;
			soundEnabled=false;
		};


		class CivilLying: Default
		{
			actions = CivilLyingActions;
			file=lehcivil.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			duty = RestDuty;
			disableWapons=true;
			disableWeaponsLong=true;

			visibleSize = 0.25;
			aimPrecision = 0.3;
			recoilSuffix = "fixed";
		};
		class CivilLyingNoAim: CivilLying
		{
			limitGunMovement=0;
			aiming=aimingNo;
			legs=legsNo; // all animation copies slope
		};
		class CivilLyingCrawlF: CivilLyingNoAim
		{
			actions=CivilCrawlingActions;
			file=plazni0l.rtm;
			speed=-1.0;
			duty = CrawlDuty;
		};
		class CivilLyingFastCrawlF: CivilLyingCrawlF
		{
			actions=CivilCrawlingActions;
			file=ultraplaz.rtm;			
			speed=-0.8;
			duty = SprintDuty;
		};
		class CivilLyingCrawlLF: CivilLyingCrawlF
		{
			file=plizeni-45l.rtm;
			speed=-1.0;
		};
		class CivilLyingCrawlRF: CivilLyingCrawlF
		{
			file=plizeni45l.rtm;
			speed=-1.0;
		};
		class CivilLyingCrawlL: CivilLyingCrawlF
		{
			actions=CivilLyingActions;
			file=plizeni-90l.rtm;
			speed = -1.0;
		};
		class CivilLyingCrawlR: CivilLyingCrawlL
		{
			file=plizeni90l.rtm;
			speed = -1.0;
		};
		class CivilLyingCrawlLB: CivilLyingCrawlL
		{
			file=plizeni-135l.rtm;
			speed=-1.1;
		};
		class CivilLyingCrawlRB: CivilLyingCrawlL
		{
			file=plizeni135l.rtm;
			speed=-1.1;
		};
		class CivilLyingCrawlB: CivilLyingCrawlL
		{
			file=plizeni180L.rtm;
			speed = -1.1;
		};

		class CivilLyingDying: DefaultDie
		{
			actions = NoActions;
			file=plazenismrt.rtm;
			speed=-1;
			onLandEnd=true;
			looped=false;
			soundEnabled=false;
		};

		class WeaponDying: DefaultDie
		{
			actions = NoActions;
			file=atsmrt.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			soundEnabled=false;
		};
		class WeaponDyingVer2: WeaponDying
		{
			file=atsmrtB.rtm;
		};
		class WeaponDead: WeaponDying
		{
			actions = DeadActions;
			file=atsmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			variantsPlayer[]={WeaponDead,0.5,WeaponDeadVer2};
			equivalentTo=WeaponDead;
			variantAfter[]={0,0,0}; // select variant immediatelly
			terminal = true; // all movement stops here
		};
		class WeaponDeadVer2: WeaponDead
		{
			file=atsmrtB2.rtm;
		}
		class SitDownDying: DefaultDie
		{
			actions = NoActions;
			file=bezsedismrt.rtm;
			speed=-0.6;
			looped=false;
			onLandEnd=true;
			soundEnabled=false;
		};
		class SitDownDead: SitDownDying
		{
			actions = DeadActions;
			file=bezsedismrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
		};
		class StandDying: DefaultDie
		{
			preload = true;
			actions = NoActions;
			file=bezsmrt.rtm;
			speed=-2;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			interpolationSpeed=5;
		};
		class StandDead: StandDying
		{
			actions = DeadActions;
			file=bezsmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			variantsPlayer[]={StandDead,0.5,StandDeadVer2};
			equivalentTo=StandDead;
			variantAfter[]={0,0,0}; // select variant immediatelly
			terminal = true; // all movement stops here
		};
		class StandDyingVer2: DefaultDie
		{
			preload = true;
			actions = NoActions;
			file=bezsmrtB.rtm;
			speed=-2;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			interpolationSpeed=5;
		};
		class StandDeadVer2: StandDead
		{
			actions = DeadActions;
			file=bezsmrtB2.rtm;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
		};

		class CivilDying: DefaultDie
		{
			actions = NoActions;
			file=civilsmrtb.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			interpolateFrom[]={};
			connectTo[]={CivilDead,1};
		};
		class CivilDead: CivilDying
		{
			actions = DeadActions;
			file=civilsmrtb2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			variantsPlayer[]={CivilDead,0.5,CivilDeadVer2};
			variantAfter[]={0,0,0}; // select variant immediatelly
			equivalentTo=CivilDead;
		};
		class CivilDyingVer2: CivilDying
		{
			file=civilsmrt.rtm;
			connectTo[]={CivilDeadVer2,1};
		};
		class CivilDeadVer2: CivilDead
		{
			file=civilsmrt2.rtm;
		};

		class CombatDying: DefaultDie
		{
			preload = true;
			actions = NoActions;
			file=ssmrt.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			connectFrom[]={Combat,1};
			connectTo[]={CombatDead,1};
		};
		class CombatDead: CombatDying
		{
			actions = DeadActions;
			file=ssmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			variantsPlayer[]={CombatDead,0.5,CombatDeadVer3,0.2,CombatDeadVer2};
			variantAfter[]={0,0,0}; // select variant immediatelly
			equivalentTo=CombatDead;
			terminal = true; // all movement stops here
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
		};
		class CombatDyingVer2: DefaultDie
		{
			preload = true;
			actions = NoActions;
			file=ssmrtB.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;

			connectFrom[]={Combat,1};
			connectTo[]={CombatDeadVer2,1};
		};
		class CombatDeadVer2: CombatDead
		{
			actions = DeadActions;
			file=ssmrtb2.rtm;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
		};
		class CombatDyingVer3: DefaultDie
		{
			preload = true;
			actions = NoActions;
			file=kulometsmrt.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			connectFrom[]={Combat,1};
			connectTo[]={CombatDeadVer3,1};
		};
		class CombatDeadVer3: CombatDead
		{
			actions = DeadActions;
			file=kulometsmrt2.rtm;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
		};
		class CombatRunDying: DefaultDie
		{
			actions = NoActions;
			file=sbehsmrt0b.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			interpolateFrom[]={CombatRunF,1};
			connectTo[]={CombatRunDead,1};
		};
		class CombatRunDead: CombatRunDying
		{
			actions = DeadActions;
			file=sbehsmrt0b2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			variantsPlayer[]={CombatRunDead,0.75,CombatRunDeadVer2};
			variantAfter[]={0,0,0}; // select variant immediatelly
			equivalentTo=CombatRunDead;
		};

		class CombatRunDyingVer2: DefaultDie
		{
			actions = NoActions;
			file=sbehsmrt0.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			interpolateFrom[]={CombatRunF,1};
			connectTo[]={CombatRunDeadVer2,1};
		};
		class CombatRunDeadVer2: CombatRunDyingVer2
		{
			actions = DeadActions;
			file=sbehsmrt02.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			equivalentTo=CombatRunDead;
			variantAfter[]={0,0,0}; // select variant immediatelly
		};

		class CombatRunBDying: DefaultDie
		{
			actions = NoActions;
			file=sbehsmrt180b.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			interpolateFrom[]={CombatRunB,1};
			connectTo[]={CombatRunBDead,1};
		};
		class CombatRunBDead: CombatRunBDying
		{
			actions = DeadActions;
			file=sbehsmrt180b2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			variantsPlayer[]={CombatRunBDead,0.75,CombatRunBDeadVer2};
			variantAfter[]={0,0,0}; // select variant immediatelly
			equivalentTo=CombatRunBDead;
		};

		class CombatRunBDyingVer2: CombatRunBDying
		{
			file=sbehsmrt180.rtm;
			connectTo[]={CombatRunBDeadVer2,1};
		};
		class CombatRunBDeadVer2: CombatRunBDead
		{
			file=sbehsmrt1802.rtm;
		};


		class CombatRelaxedDying: DefaultDie
		{
			actions = NoActions;
			file=kulometsmrt.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			connectFrom[]={CombatRelaxed,1};
			connectTo[]={CombatRelaxedDead,1};
		};
		class CombatRelaxedDead: DefaultDie
		{
			actions = DeadActions;
			file=kulometsmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			variantsPlayer[]={CombatRelaxedDeadVer2,0.25,CombatRelaxedDead};
			variantAfter[]={0,0,0}; // select variant immediatelly
		};

		class CombatRelaxedDyingVer2: DefaultDie
		{
			actions = NoActions;
			file=ssmrt.rtm;
			speed=-1.6;
			looped=false;
			onLandEnd=true;
			//soundEnabled=false;
			connectFrom[]={CombatRelaxed,1};
			connectTo[]={CombatRelaxedDeadVer2,1};
		};
		class CombatRelaxedDeadVer2: DefaultDie
		{
			actions = DeadActions;
			file=ssmrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			connectFrom[]={};
			interpolateFrom[]={};
			connectTo[]={DeadState,10};
			equivalentTo=CombatRelaxedDead;
			variantsPlayer[]={CombatRelaxedDeadVer2,0.25,CombatRelaxedDead};
			variantAfter[]={0,0,0}; // select variant immediatelly
		};

		class LyingDead: LyingDying
		{
			actions = DeadActions;
			file=plazenismrt2.rtm;
			speed=SPEED_STATIC;
			looped=true;
			onLandBeg=true;
			onLandEnd=true;
			soundEnabled=false;
			terminal = true; // all movement stops here
		};

		VEHICLE_DIE(Cargo);

		class CombatToWeapon: Default
		{
			actions = WeaponActions;
			file=stanidoAT.rtm;
			speed=-2.4; //puvodne speed=-3.6;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
		};
		class LyingToWeapon: Default
		{
			actions = WeaponActions;
			file=lehdoat.rtm;
			speed = - 3.0; //puvodne speed=-3.6;
			visibleSize = 0.7;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
		};
		class WeaponToLying: Default
		{
			actions = WeaponActions;
			file=atdolehu.rtm;
			speed=-2.8;
			looped=false;
			visibleSize = 0.7;
			disableWeapons=true;
			soundEnabled=false;
		};
		class Weapon: Default
		{
			actions = WeaponActions;
			file=atstat.rtm;
			speed = SPEED_STATIC;
			looped=true;
			soundEnabled=false;
			enableMissile = true;
			duty = RestDuty;

			visibleSize = 0.6;
			aimPrecision = 0.5;
			recoilSuffix = "halffixed";
		};
		class WeaponWalkF: Weapon
		{
			file=at0l.rtm;
			speed=-0.8;
			looped=true;
			duty=RunDuty;
		};
		class WeaponWalkL: Weapon
		{
			file=at-90l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
		};
		class WeaponWalkR: Weapon
		{
			file=at90l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
		};
		class WeaponWalkB: Weapon
		{
			file=at180l.rtm;
			speed=-0.9;
			looped=true;
			duty=RunDuty;
		};

		class WeaponWalkLF: Weapon
		{
			file=at-45l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
		};
		class WeaponWalkRF: Weapon
		{
			file=at45l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
		};
		class WeaponWalkLB: Weapon
		{
			file=at-135l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
		};
		class WeaponWalkRB: Weapon
		{
			file=at135l.rtm;
			speed=-0.6;
			looped=true;
			duty=RunDuty;
		};
		class WeaponTurnL: Weapon
		{
			file=atdoleva.rtm;
			speed=-1.5;
			looped=true;
			duty=RunDuty;
			soundEnabled=false;
		};
		class WeaponTurnR: Weapon
		{
			file=atdoprava.rtm;
			speed=-1.5;
			looped=true;
			duty=RunDuty;
			soundEnabled=false;
		};
		class WeaponReloadAT: Weapon
		{
			file=atnabij.rtm;
			speed=-4.0;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
		};
		class WeaponToCombat: Default
		{
			actions = WeaponActions;
			file=ATdostani.rtm; // TODO: odklek
			speed = - 1.5 //puvodne speed=-4.2;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			connectFrom[]={Weapon,2};
			connectTo[]={Combat,2};
		};

		class Driver: Default
		{
			actions = CargoActions;
			file="cargo.rtm";
			speed=-25;
			looped=true;
			soundEnabled=false;
		};
		class Pilot: Driver
		{
			file="cargo.rtm";
			speed=-1;
			looped=true;
		};
		class Gunner: Driver
		{
			file="cargo.rtm";
			speed=-10;
			looped=true;
		};
		class Commander: Driver
		{
			file="cargo.rtm";
			speed=-10;
			looped=true;
		};
		class Cargo: Driver
		{
			actions = CargoActions;
			file="cargostat.rtm";
			speed = SPEED_STATIC;
			looped=true;
			variantsAI[]=
			{
				CargoVer1,0.6,CargoVer2,0.1,CargoVer3,0.1,CargoVer4,0.1,CargoVer5,0.1,Cargo
			};
			equivalentTo=Cargo;
			interpolationSpeed=1; // inverse of interpolation time
		};
		class CargoVer1: Cargo
		{
			file="cargosoft.rtm";
			speed=-3.8;
			looped=true;
		};
		class CargoVer2: Cargo
		{
			file="cargomenipusku.rtm";
			speed=-3.8;
			looped=true;
		};
		class CargoVer3: Cargo
		{
			file="cargopuska.rtm";
			speed=-4.2;
			looped=true;
		};
		class CargoVer4: Cargo
		{
			file="cargorozhlizise.rtm";
			speed=-3.2;
			looped=true;
		};
		class CargoVer5: Cargo
		{
			file="cargo.rtm";
			speed=-9.6;
			looped=true;
		};



		VEHICLE_MOVES_VAR(M113Gunner);
		VEHICLEIN_MOVES_VAR(M113Driver);
		VEHICLE_MOVES_VAR(M113DriverOut);

		VEHICLEIN_MOVES_VAR(M113Medic);
		VEHICLEIN_MOVES(Nemocnej);

		VEHICLEIN_MOVES_VAR(M60Gunner);
		VEHICLEIN_MOVES_VAR(M60Driver);
		VEHICLEIN_MOVES_VAR(M60Commander);
		VEHICLE_MOVES_VAR(M60DriverOut);
		VEHICLE_MOVES_VAR(M60CommanderOut);

		VEHICLEIN_MOVES_VAR(M1A1Commander);
		VEHICLEIN_MOVES_VAR(M1A1Gunner);
		VEHICLEIN_MOVES(M1A1Driver);

		VEHICLE_MOVES_VAR(M1A1DriverOut);
		VEHICLE_MOVES_VAR(M1A1CommanderOut);

		VEHICLEIN_MOVES_VAR(BMPGunner);
		VEHICLEIN_MOVES_VAR(BMPDriver);
		VEHICLEIN_MOVES_VAR(BMPCommander);
		VEHICLE_MOVES_VAR(BMPGunnerOut);
		VEHICLE_MOVES_VAR(BMPDriverOut);
		VEHICLE_MOVES_VAR(BMPCommanderOut);

		VEHICLEIN_MOVES_VAR(T72Gunner);
		VEHICLEIN_MOVES(T72Driver);
		VEHICLEIN_MOVES_VAR(T72Commander);
		VEHICLE_MOVES_VAR(T72DriverOut);
		VEHICLE_MOVES_VAR(T72GunnerOut);
		VEHICLE_MOVES_VAR(T72CommanderOut);

		VEHICLE_MOVES_VAR(T80GunnerOut);
		VEHICLE_MOVES_VAR(T80CommanderOut);

		VEHICLEIN_MOVES_VAR(T55Gunner);
		//VEHICLEIN_MOVES_VAR(T55Driver);
		VEHICLEIN_MOVES_VAR(T55Commander);
		//VEHICLE_MOVES(T55GunnerOut);
		VEHICLE_MOVES_VAR(T55DriverOut);
		VEHICLE_MOVES_VAR(T55CommanderOut);

		VEHICLEIN_MOVES_VAR(ZSUGunner);
		VEHICLE_MOVES_VAR(ZSUDriver);
		VEHICLEIN_MOVES_VAR(ZSUCommander);
		VEHICLE_MOVES_VAR(ZSUGunnerOut);
		//VEHICLE_MOVES(ZSUDriverOut);
		VEHICLE_MOVES_VAR(ZSUCommanderOut);

		VEHICLE_MOVES_VAR(UH60Pilot);
		VEHICLE_MOVES_VAR(UH60Gunner);

		VEHICLE_MOVES_VAR(AH1Pilot);
		VEHICLE_MOVES_VAR(AH1Gunner);

		VEHICLE_MOVES_VAR(A10Pilot);

		VEHICLE_MOVES_VAR(CesnaPilot);
		VEHICLE_MOVES_VAR(CesnaCargo);

		VEHICLE_MOVES_VAR(Mi17Pilot);

		VEHICLE_MOVES_VAR(Mi24Pilot);
		VEHICLE_MOVES_VAR(Mi24Gunner);

		VEHICLE_MOVES_VAR(5TDriver);
		VEHICLE_MOVES_VAR(5TCoDriver);

		VEHICLE_MOVES_VAR(UralDriver);
		VEHICLE_MOVES_VAR(UralCoDriver);

		VEHICLE_MOVES_VAR(V3SDriver);
		VEHICLE_MOVES_VAR(V3SCoDriver);

		VEHICLE_MOVES_VAR(JeepDriver);
		VEHICLE_MOVES_VAR(JeepGunner);
		VEHICLE_MOVES_VAR(JeepCoDriver);
		VEHICLE_MOVES_VAR(JeepCoDriverBack);

		VEHICLE_MOVES_VAR(UazDriver);
		VEHICLE_MOVES_VAR(UazCoDriver);

		VEHICLE_MOVES_VAR(SkodaDriver);
		VEHICLE_MOVES_VAR(SkodaCoDriver);
		VEHICLE_MOVES_VAR(SkodaCoDriverBack);

		VEHICLE_MOVES_VAR(PBRDriver);
		VEHICLE_MOVES_VAR(PBRGunner);

		VEHICLE_MOVES_VAR(M2Gunner);

		//VEHICLE_MOVES_VAR(PKGunner);

		//VEHICLE_MOVES_VAR(HRLDriver);
		VEHICLE_MOVES_VAR(HRLGunner);

		VEHICLE_MOVES_VAR(ScudDriver);
		VEHICLE_MOVES_VAR(ScudCoDriver);

		VEH_MOVES_VAR(TractorDriver,traktordriver,1,4)

		VEHICLE_MOVES_VAR(Para);

		class StandTurnR: StandBase
		{
			actions = StandActions;
			file=dopravabez.rtm;
			speed = -1.6; // negative - time is given
			looped=true;
			soundEnabled=false;
			relSpeedMin=0;
			relSpeedMax=1.0;
			duty = RestDuty;
		};
		class StandTurnL: StandBase
		{
			actions = StandActions;
			file=dolevabez.rtm;
			speed = -1.6; // negative - time is given
			looped=true;
			soundEnabled=false;
			relSpeedMin=0;
			relSpeedMax=1.0;
			duty = RestDuty;
		};

		class StandStrokeFist: Default
		{
			actions = StandActions;
			file=bezuder.rtm;
			speed=-0.97;
			looped=false;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
			connectFrom[]={Stand,1};
			connectTo[]={StandStrokeFistEnd,1};
		};
		class StandStrokeFistEnd: Default
		{
			actions = StandActions;
			file=bezstanistat.rtm;
			speed = SPEED_STATIC;
			looped=true;
			disableWeapons=true;
			soundEnabled=false;
			duty = SprintDuty;
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
			connectTo[]={Stand,1};
		};

		class OnChair: StandBase
		{
			actions = NoActions;
			file=zidle.rtm;
			speed = SPEED_STATIC; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
			interpolationSpeed=2; // inverse of interpolation time
			
		};
		class EffectStand: StandBase
		{
			actions = StandStandActions;
			file=bezstanistill.rtm;
			speed = -8.8; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
			interpolationSpeed=2; // inverse of interpolation time
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
		};
	
		class EffectStandStill: StandBase
		{
			actions = StandStillActions;
			file=bezstanistat.rtm; // 88
			speed =  SPEED_STATIC; // negative - time is given
			//file=bezstani.rtm; // 88
			//speed = -8.6; // negative - time is given
			looped=true;
			soundEnabled=false;
			equivalentTo=EffectStandStill;
			interpolationSpeed=1;
			interpolateTo[]={StandDying,0.1,StandDyingVer2,0.1};
		};
	
	
	
		class EffectStandTalk: StandBase
		{
			actions = StandTalkActions;
			file=bezpovidani.rtm;
			speed = -14.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
			interpolationSpeed=2; // inverse of interpolation time
		};
		class EffectStandSaluteStart: StandBase
		{
			actions = StandSaluteActions;
			file = bezhlas.rtm;
			speed = -0.5; // negative - time is given
			looped = false;
			soundEnabled = false;
			connectFrom[]={Stand,2};
		};
		class EffectStandSalute: StandBase
		{
			actions = StandSaluteActions;
			file=bezhlasstat.rtm;
			speed = SPEED_STATIC; // negative - time is given
			looped=true;
			soundEnabled=false;
			connectFrom[]={EffectStandSaluteStart,1};
			connectTo[]={EffectStandSaluteEnd,1};
		};
		class EffectStandSaluteEnd: StandBase
		{
			actions = StandActions;
			file = bezhlas2.rtm;
			speed = -0.5; // negative - time is given
			looped = false;
			soundEnabled = false;
			connectTo[]={Stand,2};
		};


		class EffectStandmove: StandBase
		{
			actions = StandStillActions;
			file=bezstani.rtm; // 88
			speed = -8.8; // negative - time is given
			//file=bezstani.rtm; // 88
			//speed = -8.6; // negative - time is given
			looped=true;
			soundEnabled=false;
			equivalentTo=EffectStandStill;
			interpolationSpeed=1;
		};


		class EffectStandSitDown: StandBase
		{
			actions = SitActions;
			file=bezsedi2.rtm;
			speed = -4.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
			variantsPlayer[]={EffectStandSitDown,0.3,EffectStandSitDownVer2,0.3, EffectStandSitDownVer1};
			equivalentTo=EffectStandSitDown;
			interpolateTo[]={SitDownDying,0.1};
		};
		class EffectStandSitDownVer1: EffectStandSitDown
		{
			file=bezsedi2.rtm;
			speed = SPEED_STATIC; // negative - time is given
			looped=true;
			interpolateTo[]={SitDownDying,0.1};
		};
	
		class EffectStandSitDownVer2: EffectStandSitDown
		{
			file=bezsedi.rtm;
			speed = -4.6; // negative - time is given
			looped=true;
			interpolateTo[]={SitDownDying,0.1};
		};

		class EffectStandSitDownStill: EffectStandSitDown
		{
			file=bezsedi.rtm;
			speed = SPEED_STATIC; // negative - time is given
			interpolateTo[]={SitDownDying,0.1};
		};

		class StandToSitDown: StandBase
		{
			actions = SitActions;
			file=bezdosedu.rtm;
			speed = -3.2; // negative - time is given
			looped=false;
			soundEnabled=false;
			duty = RestDuty;
		};
		class SitDownToStand: StandBase
		{
			actions = StandActions;
			file=bezvztava.rtm;
			speed = -2.5; // negative - time is given
			looped=false;
			soundEnabled=false;
			duty = RestDuty;
		};


		class FXBase: StandBase
		{
			actions = StandActions;
			looped=false;
			soundEnabled=false;
			duty = RestDuty;
			interpolationSpeed=1; // inverse of interpolation time
		};

		class FXStandToTel: FXBase
		{
			file=ktelefonustart.rtm;
			speed = -0.5; // negative - time is given
			connectTo[]={FXStandToTelHand,1};
		};

		class FXStandToTelHand: FXBase
		{
			file=ktelefonuend.rtm;
			speed = -4.5; // negative - time is given
			showItemInRightHand = true;
		};

		class FXStandTelLoop: FXBase
		{
			file=telloop.rtm;
			speed = -10.0; // negative - time is given
			looped=true
			showItemInRightHand = true;
		};		
		
		class FXStandDropTel: FXBase
		{
			file=poloztelefon.rtm;
			speed = -4.0; // negative - time is given
			interpolateWith[]={FXStandToTel,1};
		};
		
		
				
		class FXStandFromTable: FXBase
		{
			file=staniodstolu.rtm;
			speed = -3.0; // negative - time is given
		};
		
		class FXStandUnivTable: FXBase
		{
			file=univsezeni.rtm;
			speed = -8.0; // negative - time is given
			looped=true;
		};
		
		class FXStandToTable: FXBase
		{
			file=sedkestolu.rtm;
			speed = -2.5; // negative - time is given
			
		};
		
		class FXStandDangle: FXBase
		{
			file=houpese.rtm;
			speed = -4.0; // negative - time is given
		};
		
		
		class FXStandToDip: FXBase
		{
			file=dokliku.rtm;
			speed = -2.0; // negative - time is given
			connectFrom[]={Stand,1};
			connectTo[]={FXStandDip,1};
		};
		
		class FXStandDip: FXBase
		{
			file=klik.rtm;
			speed = -1.5; // negative - time is given
			looped=true;
		};
		
		class FXStandFromDip: FXBase
		{
			file=zkliku.rtm;
			speed = -2.0; // negative - time is given
			connectFrom[]={FXStandDip,1};
			connectTo[]={Stand,1};
		};	
		
		class FXStandSur: FXBase
		{
			file=zajatecstani.rtm;
			speed = -2.0; // negative - time is given
				};		

		class FXStandSurDead: FXBase
		{
			file=zajatecsmrtb.rtm;
			speed = -2.0; // negative - time is given
			
		};		

		class FXStandSurUniv: FXBase
		{
			file=zajatecstat.rtm;
			speed = SPEED_STATIC; // negative - time is given
		};

		class FXStandSurDown: FXBase
		{
			file=lehzajatec.rtm;
			speed = -3.5; // negative - time is given
		
		};

		class FXStandRotateTable: FXBase
		{
			file=kestolu.rtm;
			speed = -2.0; // negative - time is given
		};
		
		class FXStandShowTable: FXBase
		{
			file=ukazujeustolu.rtm;
			speed = -3.0; // negative - time is given
		};
		
		class FXStandEndTable: FXBase
		{
			file=ukazodstolu.rtm;
			speed = -2.0; // negative - time is given
		};
		
		class FXStandStraight: FXBase
		{
			file=staninic.rtm;
			speed = -2.0; // negative - time is given
		};


		class FXStandBug: FXBase
		{
			file=buzeruje.rtm;
			speed = -10.0; // negative - time is given
		};

		class FXStandhip: FXBase
		{
			file=rucevbok.rtm;
			speed = -5.0; // negative - time is given
		};

		class FXStandAtt: FXBase
		{
			file=uspozorstat.rtm;
			speed = SPEED_STATIC; // negative - time is given
		};

		class FXStandAttVar1: FXBase
		{
			file=rucevbok.rtm;
			speed = -3.0; // negative - time is given
		};

		class FXangel: FXBase
		{
			file=fx_angel_stand.rtm;
			speed = SPEED_STATIC; // negative - time is given
		};
		
		class FXangel2: FXBase
		{
			file=fx_angel_stand2.rtm;
			speed = SPEED_STATIC; // negative - time is given
		};


/*		class FXStandBuletin: FXBase
		{
			file=ukazujenanastence.rtm;
			speed = -5.0; // negative - time is given
		};*/
		
		class LadderStatic: LadderBase
		{
			file=upDownStat2.rtm;
			looped=true;
			soundEnabled=false;
			speed = SPEED_STATIC;
			duty = RestDuty;
		};
		class LadderUpStart: LadderUpBase
		{
			file=upstart2.rtm;
			looped=false;
			soundEnabled=false;
			speed = -1;
			duty = RunDuty;
			connectFrom[]={Stand,1};
			connectTo[]={LadderStatic,1};
		};
		class LadderUpLoop: LadderUpBase
		{
			file=uploop2.rtm;
			looped=true;
			soundEnabled=false;
			speed = -1;
			duty = RunDuty;
			interpolateWith[]={LadderStatic,1};
			//interpolationSpeed=1;
			//connectFrom[]={LadderStatic,1};
			//connectTo[]={LadderStatic,1};
		};
		class LadderUpEnd: LadderBase
		{
			actions=StandActions;
			file=upend2.rtm;
			looped=false;
			soundEnabled=false;
			speed = -1;
			duty = RunDuty;
			onLadder = false;
			connectFrom[]={LadderStatic,1};
			connectTo[]={Stand,1};
		};

		class LadderDownStart: LadderDownBase
		{
			file=downstart2.rtm;
			looped=false;
			soundEnabled=false;
			speed = -1;
			duty = RunDuty;
			connectFrom[]={Stand,1};
			connectTo[]={LadderStatic,1};
		};
		class LadderDownLoop: LadderDownBase
		{
			file=downloop3.rtm;
			looped=true;
			soundEnabled=false;
			speed = -1;
			duty = RunDuty;
			//connectFrom[]={LadderStatic,1};
			//connectTo[]={LadderStatic,1};
			interpolateWith[]={LadderStatic,1};
			//interpolationSpeed=1;
		};
		class LadderDownEnd: LadderDownBase
		{
			actions=StandActions;
			file=downend2.rtm;
			looped=false;
			soundEnabled=false;
			speed = -1;
			duty = RunDuty;
			onLadder = false;
			connectFrom[]={LadderStatic,1};
			connectTo[]={Stand,1};
		};

		class EffectWeaponPanic: Default
		{
			file=szmaten.rtm;
			speed = -9.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};


		class CommandEngageAtWill: Default
		{
			file=sengageatwill.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};
		class CommandFireAtWill: Default
		{
			file=sengageatwill.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};
		class CommandFormation: Default
		{
			file=sformace.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};

		class CommandHoldFire: Default
		{
			file=sholdfire.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};
		class CommandStop: Default
		{
			file=sstop.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};
		class CommandForward: Default
		{
			file=svpred.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};

		class EffectCombatStand: Default
		{
			file=sstani.rtm;
			speed = -3.0; // negative - time is given
			looped=true;
			soundEnabled=false;
			duty = RestDuty;
		};

		class StandGetInCar : StandBase
		{
			actions = StandActions;
			file = bezosobak.rtm;
			speed = -2.25; // negative - time is given
			looped = false;
			soundEnabled = false;
		};
		class StandGetInTank : StandBase
		{
			actions = StandActions;
			file = nastupbez.rtm;
			speed = -1.3; // negative - time is given
			looped = false;
			soundEnabled = false;
		};
		class StandGetOutTank : StandBase
		{
			actions = StandActions;
			file = bezseskok.rtm;
			speed = -3.065; // negative - time is given
			looped = false;
			soundEnabled = false;
		};
		class CombatGetInCar : Default
		{
			actions = CombatActions;
			file = sosobak.rtm;
			speed = -1.23; // negative - time is given
			looped = false;
			soundEnabled = false;
			disableWeapons = true;
			enableOptics=false;
		};
		class CombatGetInTank : Default
		{
			actions = CombatActions;
			file = snastup.rtm;
			speed = -2.38; // negative - time is given
			looped = false;
			soundEnabled = false;
			disableWeapons = true;
			enableOptics=false;
		};
		class CombatGetOutTank : Default
		{
			actions = CombatActions;
			file = sdoskok.rtm;
			speed = -0.915; // negative - time is given
			looped = false;
			soundEnabled = false;
			disableWeapons = true;
		};
	};

	class Interpolations
	{
		standF[]=
		{
			1,Stand,StandWalkF,StandWalkLF,StandWalkRF,
			StandWalkL,StandWalkR,StandRunF
		};
		standB[]=
		{
			1,Stand,StandWalkLB,StandWalkRB,StandWalkB
		};
		combatF[]=
		{
			0.9,Combat,CombatStillPlayer,CombatRelaxed,
			CombatRunF,CombatRunLF,CombatRunRF,CombatRunL,CombatRunR,
			CombatSprintF,CombatSprintLF,CombatSprintRF,
			CombatWalkF,CombatWalkLF,CombatWalkRF,CombatWalkL,CombatWalkR
		};
		combatB[]=
		{
			1,Combat,CombatStillPlayer,CombatRelaxed,
			CombatRunLB,CombatRunRB,CombatRunB,
			CombatWalkLB,CombatWalkRB,CombatWalkB
		};

		crouchF[]=
		{
			0.5,
			CrouchIM,
			CrouchRunF,CrouchRunLF,CrouchRunRF,CrouchRunL,CrouchRunR,
			CrouchSprintF,CrouchSprintLF,CrouchSprintRF
		};
		crouchFW[]=
		{
			0.5,
			CrouchIM,CrouchWalkF,CrouchWalkLF,CrouchWalkRF,CrouchWalkL,CrouchWalkR
		};
		crouchB[]=
		{
			0.5,CrouchIM,CrouchRunLB,CrouchRunRB,CrouchRunB,
			CrouchWalkLB,CrouchWalkRB,CrouchWalkB
		};

		civilF[]=
		{
			1,Civil,
			CivilRunF,CivilRunLF,CivilRunRF,CivilRunL,CivilRunR,
			CivilWalkF,CivilWalkLF,CivilWalkRF,CivilWalkL,CivilWalkR
		};
		civilB[]=
		{
			1,Civil,
			CivilWalkLB,CivilWalkRB,CivilWalkB,
			CivilRunLB,CivilRunRB,CivilRunB
		};
		lyingF[]=
		{
			1,Lying,
			LyingCrawlF,LyingFastCrawlF,LyingCrawlLF,LyingCrawlRF,
			LyingCrawlL,LyingCrawlR
		};
		lyingB[]=
		{
			1,Lying,
			LyingCrawlLB,LyingCrawlRB,LyingCrawlB
		};
		civilLyingF[]=
		{
			1,CivilLying,
			CivilLyingCrawlF,CivilLyingFastCrawlF,CivilLyingCrawlLF,CivilLyingCrawlRF,
			CivilLyingCrawlL,CivilLyingCrawlR
		};
		civilLyingB[]=
		{
			1,CivilLying,
			CivilLyingCrawlLB,CivilLyingCrawlRB,CivilLyingCrawlB
		};
		lyingVars[]={0.1,Lying,LyingStillV1,LyingTurnL,LyingTurnR};
		combatVars[]={0.1,Combat,CombatStillPlayer,CombatStillV1};
		combatReleaxedVars[]={0.1,Combat,CombatRelaxed,CombatRelaxedStill};

		combatTurnRelaxed[]=
		{
			0.1,
			CombatRelaxed,CombatTurnLRelaxed,CombatTurnRRelaxed
		};

		combatTurn[]=
		{
			0.1,
			Combat,CombatStillPlayer,CombatTurnL,CombatTurnR
		};
		standTurn[]={0.1,Stand,StandTurnL,StandTurnR};
		standFX[]=
		{
			1,Stand,EffectStand,EffectStandTalk,
			//EffectStandSalute,
			EffectStand, EffectCombatStand,
			EffectStandStill,
			CommandFireAtWill, CommandFormation, CommandHoldFire, CommandStop, CommandForward
		};
		standVars[]={1,Stand,StandVar2 };

		weaponF[]=
		{
			1,Weapon,WeaponWalkF,WeaponWalkLF,WeaponWalkRF,WeaponWalkL,WeaponWalkR
		};
		weaponB[]=
		{
			1,Weapon,WeaponWalkLB,WeaponWalkRB,WeaponWalkB
		};

		weaponTurn[]={1,Weapon,WeaponTurnL,WeaponTurnR};

		civilLyingTrans[]={2,CivilLying,Lying};
		civilCombatTrans[]={2,Combat,Civil};
		civilStandTrans[]={2,Stand,Civil};
		civilVars[]={0.1,Civil,CivilStillV1};
		civilTurn[]={1,Civil,CivilTurnL,CivilTurnR};
		// enable cargo dead to all animations
		cargoEquiv[]=
		{
			2,
			M113Gunner,M113Driver,M113DriverOut,
			M60Gunner,M60Driver,M60DriverOut,M60Commander,M60CommanderOut,
			M1A1Gunner,M1A1Driver,M1A1DriverOut,M1A1Commander,
			Cargo
		};
		cargoVars[]={0.1,Cargo,CargoVer1,CargoVer2,CargoVer3,CargoVer4,CargoVer5};

		sitDownVars[]={1.0,EffectStandSitDown,EffectStandSitDownVer2,EffectStandSitDownVer1};

	};

	// define edges
	transitionsInterpolated[]=
	{
		// from, to, cost
	};
	transitionsSimple[]=
	{
		// from, to, cost
		Lying, LyingDying, 1, LyingDying, LyingDead, 1,
		Stand, StandDying, 1, StandDying, StandDead, 1,
		Stand, StandDyingVer2, 1, StandDyingVer2, StandDeadVer2, 1,

		Weapon, WeaponDying, 1, WeaponDying, WeaponDead, 1,
		Weapon, WeaponDyingVer2, 1, WeaponDyingVer2, WeaponDeadVer2, 1,
		Cargo, CargoDying, 1, CargoDying, CargoDead, 1,

		Combat, CombatToWeapon, 2, CombatToWeapon, Weapon, 2,

		Lying, LyingToWeapon, 2, LyingToWeapon, Weapon, 2, 
		Weapon, WeaponToLying, 2, WeaponToLying, Lying, 2, 

		Combat, CombatReloadMagazine, 2, CombatReloadMagazine, Combat, 2,
		Combat, CombatReloadMGun, 2, CombatReloadMGun, Combat, 2,
		
		Combat, CombatReloadMortarStart, 2,
		CombatReloadMortarStart, CombatReloadMortarEnd, 2,
		CombatReloadMortarEnd, Combat, 2,

		Combat, CombatThrowGrenadeStart, 2,
		CombatThrowGrenadeStart, CombatThrowGrenadeEnd, 2,
		CombatThrowGrenadeEnd, Combat, 2,

		Lying, LyingThrowGrenadeStart, 2,
		LyingThrowGrenadeStart, LyingThrowGrenadeEnd, 2,
		LyingThrowGrenadeEnd, Lying, 2,

		CombatRunF, CombatRunThrowGrenadeStart, 2,
		CombatRunThrowGrenadeStart, CombatRunThrowGrenadeEnd, 2,
		CombatRunThrowGrenadeEnd, Combat, 2,

		Lying, LyingReloadMagazine, 2, LyingReloadMagazine, Lying, 2,

		Combat, CombatToBinoc, 2, CombatToBinoc, Binoc, 2,
		Binoc, BinocToCombat, 2, BinocToCombat, Combat, 2,

		Lying, LyingToBinocLying, 2, LyingToBinocLying, BinocLying, 2,
		BinocLying, BinocLyingToLying, 2, BinocLyingToLying, Lying, 2,

		Weapon, WeaponReloadAT, 2, WeaponReloadAT, Weapon, 2, 

		Stand, StandToCombat, 1, StandToCombat, Combat, 1,
		Combat, CombatToStand, 1, CombatToStand, Stand, 1,

		Lying, LyingToCombat, 1.2, LyingToCombat, Combat, 1.2,
		Combat, CombatToLying, 1.2, CombatToLying, Lying, 1.2,
		CombatRunF, CombatRunFToLying, 1, CombatRunFToLying, Lying, 1,

		Lying, LyingToCombatRun, 1, LyingToCombatRun, CombatRunF, 1,

		Combat, CombatGetInCar, 1, CombatGetInCar, Combat, 1,
		Combat, CombatGetInTank, 1, CombatGetInTank, Combat, 1,

		CombatGetOutTank, Combat, 1,

		Stand, StandGetInCar, 1, StandGetInCar, Stand, 1,
		Stand, StandGetInTank, 1, StandGetInTank, Stand, 1,
		StandGetOutTank, Stand, 1,

		Stand, StandToSitDown, 1, StandToSitDown, EffectStandSitDown, 1,
		EffectStandSitDown, SitDownToStand, 1, SitDownToStand, Stand, 1,

		EffectStandSitDown, SitDownDying, 1, SitDownDying, SitDownDead, 1,

		// transitions to virtual dead state
		// done so implementing different deaths is easier
		CombatDead, DeadState, 10,
		CombatDeadVer2, DeadState, 10,
		StandDead, DeadState, 10,
		StandDeadVer2, DeadState, 10,
		LyingDead, DeadState, 10,

		// different in-vehicle deads
		WeaponDead, DeadState, 10,
		WeaponDeadVer2, DeadState, 10,
		SitDownDead, DeadState, 10

	};
	transitionsDisabled[]=
	{
		// from, to
	};
};

