// ammunition

// define ammuniton types

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

#define TracerEColor 0.2,0.8,0.1
#define TracerWColor 0.8,0.5,0.1
#define TracerGColor 0.7,0.7,0.5
#define TracerNColor 0,0,0 // used for sniper / silenced rifles

#define TracerEColorF {TracerEColor,0.4}
#define TracerWColorF {TracerWColor,0.4}
#define TracerGColorF {TracerGColor,0.4}
#define TracerNColorF {TracerNColor,0.05}

#define TRACER_W_ALWAYS tracerColor[]=TracerWColorF;tracerColorR[]=TracerWColorF
#define TRACER_W_OPTIONAL tracerColor[]=TracerWColorF;tracerColorR[]=TracerNColorF

#define TRACER_E_ALWAYS tracerColor[]=TracerEColorF;tracerColorR[]=TracerEColorF
#define TRACER_E_OPTIONAL tracerColor[]=TracerEColorF;tracerColorR[]=TracerNColorF

#define TRACER_G_ALWAYS tracerColor[]=TracerGColorF;tracerColorR[]=TracerGColorF
#define TRACER_G_OPTIONAL tracerColor[]=TracerGColorF;tracerColorR[]=TracerNColorF

#define TRACER_N_ALWAYS tracerColor[]=TracerNColorF;tracerColorR[]=TracerNColorF

#define LockNo		0
#define LockCadet	1
#define LockYes		2

/*!
	\patch 1.30 Date 11/02/2001 by Ondra
	- Fixed: Soldier was too long considered easily visible after firing.
*/

class CfgAmmo
{
	access = ReadAndCreate;

	class Default
	{
		access = ReadOnlyVerified;

		hit=0;indirectHit=0;indirectHitRange=1;
		minRange=0.5;minRangeProbab=0.50;
		midRange=100;midRangeProbab=0.80;
		maxRange=450;maxRangeProbab=0.05;

		model=;
		proxyShape = ;
		simulation=;
		cost=0;
		maxSpeed=0;
		cartridge="";
		simulationStep=0.05;
		tracerColor[]=TracerGColorF; // default: yellow tracer
		tracerColorR[]=TracerGColorF; // default realistic: yellow tracer

		soundFly[]={,1,1};
		soundEngine[]={,1,1};
		soundHit[]={,1,1};

		// list of sounds with probabilities
		hitGround[]={soundHit,1}; // general
		hitMan[]={soundHit,1};
		hitArmor[]={soundHit,1};
		hitBuilding[]={soundHit,1};

		explosive=true;

		irLock=false;
		airLock=false;
		laserLock=false;
		manualControl=false;
		maxControlRange=350; // max range for manual control
		maneuvrability=1.0; // missile control maneuvrability
		sideAirFriction=1;

		visibleFire=0; // how much is visible when this weapon is fired
		audibleFire=0;
		visibleFireTime=0; // how long is it visible

		initTime=0;
		thrustTime=1.5;
		thrust=210;
		/*
		default thurst calculation was: maxSpeed*0.7;
		due to bug it was increased to maxSpeed*0.7*thurstTime
		normal missile speed is about 200 m/s
		*/
	};

	class BulletSingle : Default
	{
		hit=9;indirectHit=2;indirectHitRange=0.1;
		model=shell;
		simulation=shotBullet;
		simulationStep=0.05;

		//soundFly[]={objects\noise,db-80,4};
		soundFly[]={objects\bulletnoise,db-12,0.7};

		explosive=false;

		visibleFire=16; // how much is visible when this weapon is fired
		audibleFire=16;
		visibleFireTime=3; // how long is it visible

		minRange=10;minRangeProbab=0.10;
		midRange=50;midRangeProbab=0.38;
		maxRange=200;maxRangeProbab=0.04;

		/**/
		soundHit1[]={weapons\bulletricochet1,db-30,1};
		soundHit2[]={weapons\bulletricochet2,db-30,1};
		soundHit3[]={weapons\bulletricochet3,db-30,1};
		soundHitMan1[]={weapons\bullethitman1,db-38,1};
		soundHitMan2[]={weapons\bullethitman2,db-38,1};
		soundHitArmor1[]={weapons\small_impact1,db-30,1};
		soundHitArmor2[]={weapons\Big_Impact2,db-30,1};
		soundHitBuilding1[]={weapons\bulletricochet4,db-30,1};
		soundHitBuilding2[]={weapons\bulletricochet5,db-30,1};
		hitGround[]={soundHit1,0.33,soundHit2,0.33,soundHit3,0.33};
		hitMan[]={soundHitMan1,0.5,soundHitMan2,0.5};
		hitArmor[]={soundHitArmor1,0.7, soundHitArmor2, 0.3};
		hitBuilding[]={soundHitBuilding1,0.5,soundHitBuilding2,0.5};
		/**/

		cartridge="FxCartridge";

		cost = 0.7;
	};
	class BulletBurst: BulletSingle
	{
		// changed 
		// parametes to make AI decide what mode should be used

		minRange=0.5;minRangeProbab=0.25;
		midRange=70;midRangeProbab=0.50;
		maxRange=250;maxRangeProbab=0.08;

		visibleFire=25; // how much is visible when this weapon is fired
		audibleFire=25;
		visibleFireTime=5; // how long is it visible

		cost = 2.1;
	};

	class BulletFullAuto: BulletBurst
	{
		// for AI full auto is the same as burst, only more expensive
		cost = 2.5;
	};

	class BulletSilencedSingle: BulletSingle
	{
		hit=8;indirectHit=1;indirectHitRange=0.1;
		visibleFire=0.035; // how much is visible when this weapon is fired
		audibleFire=0.035;
		visibleFireTime=2; // how long is it visible
		TRACER_N_ALWAYS;
	};
	class BulletSilencedBurst: BulletBurst
	{
		hit=8;indirectHit=1;indirectHitRange=0.1;
		visibleFire=0.05; // how much is visible when this weapon is fired
		audibleFire=0.05;
		visibleFireTime=2; // how long is it visible
		TRACER_N_ALWAYS;
	};

	class BulletSniper : BulletSingle
	{
		hit=10;indirectHit=2;indirectHitRange=0.1;
		minRange=1;minRangeProbab=0.10;
		midRange=200;midRangeProbab=0.80;
		maxRange=900;maxRangeProbab=0.05;
		cost = 2;
		TRACER_N_ALWAYS;
	};

	// we use indirect hit to simulate burst effect
	class Bullet7_6: BulletSingle // machine gun bullet
	{
		airLock=true;
		hit=8;indirectHit=2;indirectHitRange=0.1;
		minRange=1;minRangeProbab=0.90;
		midRange=100;midRangeProbab=0.50;
		maxRange=450;maxRangeProbab=0.05;
		cost=4;
	};
	class Bullet12_7: Bullet7_6 // machine gun bullet
	{
		hit=13;indirectHit=4;indirectHitRange=0.2;
		minRange=4;minRangeProbab=0.90;
		midRange=200;midRangeProbab=0.50;
		maxRange=500;maxRangeProbab=0.05;
		cost=6;
	};

	class ExplosiveBullet: BulletSingle
	{
		airLock=true;
		explosive=true;

		soundHit[]={Explosions\explosivebullet,db0,1};
		soundFly[]={objects\bulletnoise,db-35,4};

		hitGround[]={soundHit,1}; // general
		hitMan[]={soundHit,1};
		hitArmor[]={soundHit,1};
		hitBuilding[]={soundHit,1};
	};

	class Bullet30: ExplosiveBullet // machine gun bullet
	{ // in fact this is 5 bullets burst
		// explosive bullets
		hit=100;indirectHit=20;indirectHitRange=2;
		minRange=20;minRangeProbab=0.20;
		midRange=100;midRangeProbab=0.50;
		maxRange=1000;maxRangeProbab=0.05;
		cost=10;
	};
	/*!
	\patch 1.22 Date 8/30/2001 by Ondra
	- Fixed: ZSU ammo was too powerfull.
	- Fixed: Vulcan ammo was too powerfull.
	*/
	class Bullet4x23: ExplosiveBullet // zsu bullet
	{ // in fact this is 5 bullets burst
		// ZSU explosive bullets
		hit=40;indirectHit=20;indirectHitRange=2;
		minRange=20;minRangeProbab=0.80;
		midRange=500;midRangeProbab=0.95;
		maxRange=3000;maxRangeProbab=0.05;
		cost=30;
	};

	class Bullet4x20: ExplosiveBullet
	{ // in fact this is 5 bullets burst
		// Vulcan explosive bullets
		access = ReadOnly; // cannot be verified - used for addon patching
		hit=30;indirectHit=15;indirectHitRange=2;
		//hit=10;indirectHit=5;indirectHitRange=2;
		minRange=20;minRangeProbab=0.80;
		midRange=500;midRangeProbab=0.95;
		maxRange=3000;maxRangeProbab=0.05;
		cost=30;
	};


	// colored tracers
	// template definition

	/*!
	\patch 1.22 Date 8/30/2001 by Ondra
	- Fixed: AI was not using machine guns agains airborne units.
	- Fixed: mgun 7.6 ammo was too strong, 12.7 too weak.
	*/

	class BulletSingleW: BulletSingle {TRACER_W_OPTIONAL;};
	class BulletBurstW: BulletBurst {TRACER_W_OPTIONAL;};
	class BulletFullAutoW: BulletFullAuto {TRACER_W_OPTIONAL;};
	class BulletSilencedSingleW: BulletSilencedSingle {TRACER_N_ALWAYS;};
	class BulletSilencedBurstW: BulletSilencedBurst {TRACER_N_ALWAYS;};
	class BulletSniperW: BulletSniper {TRACER_N_ALWAYS;};
	class Bullet7_6W: Bullet7_6 {TRACER_W_ALWAYS;};
	class Bullet12_7W: Bullet12_7 {TRACER_W_ALWAYS;};

	class BulletSingleE: BulletSingle {TRACER_E_OPTIONAL;};
	class BulletBurstE: BulletBurst {TRACER_E_OPTIONAL;};
	class BulletFullAutoE: BulletFullAuto {TRACER_E_OPTIONAL;};
	class BulletSilencedSingleE: BulletSilencedSingle {TRACER_N_ALWAYS;};
	class BulletSilencedBurstE: BulletSilencedBurst {TRACER_N_ALWAYS;};
	class BulletSniperE: BulletSniper {TRACER_N_ALWAYS;};
	class Bullet7_6E: Bullet7_6 {TRACER_E_ALWAYS;};
	class Bullet12_7E: Bullet12_7 {TRACER_E_ALWAYS;};

	class BulletSingleG: BulletSingle {TRACER_G_OPTIONAL;};
	class BulletBurstG: BulletBurst {TRACER_G_OPTIONAL;};
	class BulletFullAutoG: BulletFullAuto {TRACER_G_OPTIONAL;};
	class BulletSilencedSingleG: BulletSilencedSingle {TRACER_N_ALWAYS;};
	class BulletSilencedBurstG: BulletSilencedBurst {TRACER_N_ALWAYS;};
	class BulletSniperG: BulletSniper {TRACER_N_ALWAYS;};
	class Bullet7_6G: Bullet7_6 {TRACER_G_ALWAYS;};
	class Bullet12_7G: Bullet12_7 {TRACER_G_ALWAYS;};

	class Shell: Default
	{
		model=shell;
		simulation=shotShell;
		simulationStep=0.05;
		cost=1000;
		soundHit[]={Explosions\explosion_large1,db40,1};
		soundFly[]={objects\bulletnoise,db-30,4};

		indirectHitRange=8;
		minRange=20;minRangeProbab=0.90;
		midRange=150;midRangeProbab=0.95;
		maxRange=600;maxRangeProbab=0.40;

		visibleFire=16; // how much is visible when this weapon is fired
		audibleFire=16;
		visibleFireTime=10; // how long is it visible
	};
	class Shell73: Shell
	{
		hit=100;indirectHit=90;
		cost=500;
		soundHit[]={Explosions\expl1,db40,1};
	};
	class Shell105: Shell73
	{
		hit=150;indirectHit=110;
		cost=200;
		soundHit[]={Explosions\expl2,db40,1};
	};
	class Shell120: Shell105
	{
		hit=200;indirectHit=150;
		cost=300;
		soundHit[]={Explosions\expl4,db40,1};
	};
	class Shell125: Shell120
	{
		hit=180;indirectHit=100;
		cost=300;
	};

	/*!
	\patch 1.28 Date 10/24/2001 by Ondra.
	- Fixed: dammage caused by "Sabot" ammo was too low.
	*/
	class Heat: Shell
	{
		indirectHitRange=1;
	};
	class Heat73: Heat
	{
		hit=400;indirectHit=100;
		cost=500;
	};
	class Heat105: Heat73
	{
		hit=450;indirectHit=150;
		cost=600;
	};
	class Heat120: Heat105
	{
		hit=700;indirectHit=300;
		cost=1000;
	};
	class Heat125: Heat120
	{
		hit=600;indirectHit=300;
		cost=1000;
	};
	class AT3: Default // BMP missile
	{
		hit=500;indirectHit=150;indirectHitRange=2.5;
		minRange=30;minRangeProbab=0.50;
		midRange=200;midRangeProbab=0.95;
		maxRange=500;maxRangeProbab=0.30;
		model=AT1;
		simulation=shotMissile;
		simulationStep=0.01;
		cost=10000;
		soundHit[]={Explosions\explosion_at3,db40,1};
		soundFly[]={weapons\rocketflying,db-40,2};
		soundEngine[]={objects\noise,db-60,1};
		maxSpeed=200;
		irLock=true; // no lock on soldier
		manualControl=true;
		maxControlRange=250; // max range for manual control

		initTime=0.15;
		thrustTime=2.5;
		thrust=350;
		maneuvrability=3.0;

		visibleFire=32; // how much is visible when this weapon is fired
		audibleFire=32;
		visibleFireTime=20; // how long is it visible
	};
	/*!
	\patch 1.05 Date 7/17/2001 by Ondra.
	- Fixed: LAW and RPG are now faster and burn most fuel while in tube.
	*/
	class LAW: AT3 // soldier RPG
	{
		hit=500;indirectHit=150;indirectHitRange=2.5;
		minRange=20;minRangeProbab=0.50;
		midRange=75;midRangeProbab=0.95;
		maxRange=250;maxRangeProbab=0.10;
		model=LAW;
		simulation=shotRocket;
		simulationStep=0.05;
		cost=5000;
		soundHit[]={Explosions\explosion_at3,db30,1};
		soundFly[]={objects\noise,db-80,4};
		maxSpeed=350;
		irLock=true; // no lock on soldier
		manualControl=true;
		maxControlRange=0; // max range for manual control

		initTime=0;
		thrustTime=0.2;
		thrust=2000;
		maneuvrability=0;
	};
	class RPG: LAW // soldier RPG
	{
		model=RPG;
	};

	class CarlGustav : AT3
	{
		hit=800;indirectHit=200;indirectHitRange=2.5;
		minRange=20;minRangeProbab=0.50;
		midRange=150;midRangeProbab=0.95;
		maxRange=600;maxRangeProbab=0.10;
		model=LAW;
		simulation=shotMissile;
		cost=5000;
		soundHit[]={Explosions\explosion_at3,db30,1};
		soundFly[]={weapons\rocketflying,db-40,2};
		maxSpeed=200;
		irLock=true; // no lock on soldier
		manualControl=true;
		maxControlRange=200; // max range for manual control

		initTime=0;
		thrustTime=1.5;
		thrust=300;
		maneuvrability=1.0;
	};
	class AT4 : CarlGustav
	{
		model=RPG;
	}

	class AA : CarlGustav
	{
		/*!
		\patch 1.04 Date 7/14/2001 by Vojta.
		- Improved: AA missile hit increased twice
		\patch 1.28 Date 10/24/2001 by Ondra.
		- Improved: AA missile hit increased.
		*/

		hit=300;indirectHit=60;indirectHitRange=2.5;
		minRange=50;minRangeProbab=0.50;
		midRange=400;midRangeProbab=0.95;
		maxRange=1200;maxRangeProbab=0.30;
		airLock = true;
		cost=20000;
		manualControl=false;
		maxControlRange=1000;
		maxSpeed=350;
		thrustTime=3.0;
		thrust=1000;
		maneuvrability=4.0;
	};
	class 9K32 : AA
	{
	};

	class Hellfire: AT3 // Cobra AT
	{
		hit=900;indirectHit=600;indirectHitRange=2.5;
		minRange=50;minRangeProbab=0.50;
		midRange=300;midRangeProbab=0.95;
		maxRange=1500;maxRangeProbab=0.50;
		maxSpeed=350;
		soundHit[]={Explosions\explosion_at3,db40,1};
		cost=20000;
		model = TOW;
		irLock=true;
		laserLock=true;
		manualControl=false;
		maxControlRange=100000; // unlimited control (active weapon)
		maneuvrability=20.0;

		initTime=0.15;
		thrustTime=5.5;
		thrust=1200;
	};
	/*!
	\patch 1.31 Date 11/20/2001 by Ondra.
	- Fixed: Hellfires were not visible on Apache.
	*/
	class HellfireApach : Hellfire
	{
		model = \Apac\hellfire;
		proxyShape = \Apac\Hellfire_proxy;
	};
	class Zuni: Hellfire // rocket (unguided)
	{
		hit=700;indirectHit=300;indirectHitRange=3;
		minRange=50;minRangeProbab=0.20;
		midRange=250;midRangeProbab=0.20;
		maxRange=1000;maxRangeProbab=0.05;
		maxSpeed=1000;
		simulation=shotRocket;
		simulationStep=0.05;
		//soundHit[]={Explosions\hellfire,db30,1};
		cost=2000;
		soundHit[]={Explosions\expl1,db40,1};
		model = ZUNI;
		irLock=false;
		laserLock=false;
		maneuvrability=0.0;
		maxControlRange=0; // max range for manual control

		initTime=0.05;
		thrustTime=3.5;
		thrust=500;
	};
	class Rocket57: Zuni
	{
		soundHit[]={Explosions\expl2,db40,1};
		hit=400;indirectHit=250;indirectHitRange=3;
	};
	class AT6: Hellfire // Hind AT
	{
		model = TOW;
		hit=750;indirectHit=350;indirectHitRange=2.5;
		minRange=50;minRangeProbab=0.30;
		midRange=300;midRangeProbab=0.80;
		maxRange=2000;maxRangeProbab=0.30;
		soundHit[]={Explosions\hellfire,db40,1};
		maxSpeed=200;
		irLock=true;
		laserLock=false;
		maneuvrability=7.0;
	};

	class Maverick: Hellfire // A10 AT
	{
		hit=1900;indirectHit=800;indirectHitRange=2.5;
		model = Maverik;
		minRange=200;minRangeProbab=0.30;
		midRange=600;midRangeProbab=0.80;
		maxRange=2000;maxRangeProbab=0.50;
		thrust=700;
		laserLock=false;
		proxyShape = Maverik_proxy;

	};

	/*!
	\patch 1.31 Date 11/20/2001 by Ondra.
	- Fixed: Mawericks were drawn on Su25 wings instead of Ch29-s.
	*/
	class Ch29T : Maverick
	{
		model = \Su25\Ch_29T_shine;
		proxyShape = \Su25\Ch_29T;
	};

	class LaserGuidedBomb: Default
	{
		hit=5000;indirectHit=3500;indirectHitRange=15;
		minRange=50;minRangeProbab=0.50;
		midRange=300;midRangeProbab=0.95;
		maxRange=2500;maxRangeProbab=0.50;
		soundHit[]={\LaserGuided\expl2,db40,1};
		cost=20000;
		model = Snake;
		proxyShape = Snake;
		irLock=false;
		laserLock=true;
		maxControlRange=100000; // unlimited control (active weapon)
		maneuvrability=16.0;
		sideAirFriction=0.1;
		simulation=shotMissile;
		maxSpeed=100;

		initTime=0;
		thrustTime=0;
		thrust=0;
	};

	class Grenade: Default // soldier
	{
		hit=20;indirectHit=18;indirectHitRange=7;
		minRange=15;minRangeProbab=0.30;
		midRange=80;midRangeProbab=0.55;
		maxRange=150;maxRangeProbab=0.00;
		model=granat;
		cost=40;
		simulation=shotShell;
		simulationStep=0.05;
		//soundHit[]={Explosions\grenade_explosion,db20,1};
		soundHit[]={Explosions\expl3,db20,1};
		soundFly[]={objects\noise,db-90,1};
		soundEngine[]={,db-80,4};

		visibleFire=2; // how much is visible when this weapon is fired
		audibleFire=0.25;
		visibleFireTime=0; // how long is it visible
	};
	class GrenadeHand: Grenade // soldier
	{
		//initTime=2.0;
		
		model=handgrenade.p3d;
		minRange=40;minRangeProbab=0.10;
		midRange=45;midRangeProbab=0.30;
		maxRange=60;maxRangeProbab=0.5;
		visibleFire=2; // how much is visible when this weapon is fired
		audibleFire=0.25;
		visibleFireTime=1;
	};

	class StrokeFistHit: Default // soldier
	{
		// fist hit is simulated by small explosion
		hit=2;indirectHit=0.5;indirectHitRange=0.2;
		minRange=0;minRangeProbab=0.30;
		midRange=0.5;midRangeProbab=0.8;
		maxRange=1;maxRangeProbab=0.00;
		model=granat;
		simulation=shotStroke; // no simulation - direct explosion
		cost=1;
		simulationStep=0.05;
		soundHit[]={,db-90,1};
		soundFly[]={objects\noise,db-90,4};
		soundEngine[]={,db-80,4};

		visibleFire=2; // how much is visible when this weapon is fired
		audibleFire=0.25;
		visibleFireTime=1; // how long is it visible
	};
	class StrokeGunHit: StrokeFistHit
	{
		hit=8;indirectHit=1;indirectHitRange=0.4;
	};

	class MortarShell : Grenade // mortar soldier
	{
		hit=50;indirectHit=40;indirectHitRange=10;
		minRange=45;minRangeProbab=0.50;
		midRange=240;midRangeProbab=0.55;
		maxRange=450;maxRangeProbab=0.00;
		model=mortarShell;
		//soundHit[]={Explosions\hellfire,db40,1};
		soundHit[]={Explosions\expl4,db20,1};
		cost=120;
	};

	class Flare : Grenade
	{
		hit=5;indirectHit=2;indirectHitRange=0.2;
		cost=100;
		simulation=shotIlluminating;
		simulationStep=0.05;
		explosive = false;
		soundHit[]={,0,1};
		lightColor[] = {1, 1, 1, 0};
	};

	class FlareGreen : Flare
	{
		lightColor[] = {0, 1, 0, 0};
	};
	class FlareRed : Flare
	{
		lightColor[] = {1, 0, 0, 0};
	};
	class FlareYellow : Flare
	{
		lightColor[] = {1, 1, 0, 0};
	};

	class SmokeShell : GrenadeHand
	{
		hit=5;indirectHit=2;indirectHitRange=0.2;
		cost=100;
		simulation=shotSmoke;
		explosive = false;
		soundHit[]={,0,1};
		smokeColor[] = {1, 1, 1, 0};

		class Smoke
		{
			interval = 0.01;
			// single cloudlet parameters
			cloudletDuration = 4.0; // time to live (not including fades)
			cloudletAnimPeriod = 1.0; // animation speed
			cloudletSize = 0.25;
			cloudletAlpha = 1.0;
			cloudletGrowUp = 1.5; // grow-up time
			cloudletFadeIn = 0.0; // fade-in time
			cloudletFadeOut = 5.0; // fade-out time
			cloudletAccY = -0.3; // vertical acceleration
			cloudletMinYSpeed = 0; // vertical speed range
			cloudletMaxYSpeed = 10;
			cloudletShape = "cl_basic";
			cloudletColor[] = {1, 1, 1, 0};
			initT = 1000;
			deltaT = -500;
			class Table
			{
				class T1 {maxT = 0; color[] = {0.7, 0.7, 0.7, 1};}
				class T2 {maxT = 1000; color[] = {0.4, 0.4, 0.4, 1};}
			};
			// source parameters
			density = 1.0;
			size = 1.5;
			initYSpeed = 1.0;
			timeToLive = 1e20; // time to live (not including fades)
			in = 3.0; // fade-in time
			out = 0.0; // fade-out time
		};
	};

	class SmokeShellRed : SmokeShell
	{
		smokeColor[] = {1, 0.25, 0, 0};
	};
	class SmokeShellGreen : SmokeShell
	{
		smokeColor[] = {0.2, 0.8, 0.2, 0};
	};

	class TimeBomb : Default
	{
		hit=700;indirectHit=700;indirectHitRange=7;
		minRange=0;minRangeProbab=0.95;
		midRange=5;midRangeProbab=0.90;
		maxRange=10;maxRangeProbab=0.00;
		model=satchel.p3d;
		cost=2000;
		simulation=shotTimeBomb;
		simulationStep=0.1;
		soundHit[]={Explosions\timebomb,db40,1};
		soundFly[]={,0,1};
		soundEngine[]={,0,1};

		visibleFire=0; // how much is visible when this weapon is fired
		audibleFire=0;
		visibleFireTime=0; // how long is it visible
	};
	class PipeBomb : TimeBomb
	{
		simulation=shotPipeBomb;
	};
	
	class Mine : TimeBomb
	{
		hit=750;indirectHit=750;indirectHitRange=5;
		simulation=shotMine;
		model = m19_at_proxy.p3d;
	};
	class MineE : Mine
	{
		model = tm_62m.p3d;
	};



	class FuelExplosion: Default // secondary explosion
	{ // never used as weapon
		hit=100;indirectHit=80;indirectHitRange=8;
		minRange=10;minRangeProbab=0.90;
		midRange=20;midRangeProbab=0.99;
		maxRange=30;maxRangeProbab=0.80;
		model=;
		simulation=;
		cost=1;
		soundHit[]={Explosions\fuel_explosion,db40,1};
		soundFly[]={,1,1};
		soundEngine[]={,1,4};
	};
};

class CfgRecoils
{
	access = ReadAndCreate;

	empty[]={};
	// time, offset, angle
	impulse[]=
	{
		0.05,0.02,0.2,
		0.10,0.03,-0.1,
		0.30,0,0
	};
	riffleSingle[]= {0.05,0.02,0.04, 0.05,0,0};
	riffleSilenced[]={0.01,0.004,0.01, 0.05,0,0};
	
	LAWSingle[]=
	{
		0.02,0,0,
		0.05,0.08,0.03,
		0.1,0.03,0.015,
		0.2,0,0
	};
	
	sniperSingle[]=
	{
		0.02,0,0,
		0.05,0.01,0.02,
		0.1,0.008,0.018,
		0.2,0,0
	};

	/*!
	\patch 1.12 Date 8/6/2001 by Ondra.
	- Change: Burst recoil curve changed - is stronger, but shorter.
	*/

	riffleBurst3[]= {0.05,0.02,0.04, 0.05,0,0};
/*
	mgunBurst3[]=
	{
		#define coefA 1.5
		0.05,0.02,0.04*coefA, 0.05,0.01,0.01*coefA,
		0.05,0.03,0.05*coefA, 0.05,0.02,0.02*coefA,
		0.05,0.04,0.06*coefA, 0.01,0,0
		#undef coefA
	};
*/

	/*!
	\patch 1.17 Date 8/14/2001 by Marek.
	- Change: MGun recoil effect was too strong, it was weakened.
	\patch 1.27 Date 10/18/2001 by Ondra.
	- Change: MGun recoil effect was still too strong.
	*/
	mgunBurst3[]=
	{
		#define coefA 0.5
		#define coefO 1.35
		0.05,0.02,0.04*coefO, 0.05,0.01,0.01*coefA,
		0.05,0.03,0.04*coefO, 0.05,0.02,0.02*coefA,
		0.05,0.04,0.04*coefO, 0.01,0,0
		#undef coefA
		#undef coefO
	};
};

// weapons
class CfgWeapons
{
	//-->Weapons and magazines
	access = ReadAndCreate;

	// define weapons
	// weapon: ammo name, max count, reload time
	class Default
	{
		access = ReadOnlyVerified;

		scopeWeapon = private;
		scopeMagazine = private;

		picture=""; // default picture name is class name
		ammo=;
		cursor = w_weapon;
		cursorAim = w_lock;
		//cursor = W_lock;

		weaponType=WeaponHardMounted; // default: hard mounted
		magazineType=WeaponNoSlot;
		displayName = ;
		displayNameMagazine = ;
		shortNameMagazine = ;
		nameSound="weapon";
		count=0;
		multiplier=1; // convert from internal to display
		burst=1;
		magazineReloadTime=0;
		reloadTime=1.0;
		sound[]={,1,1};
		soundContinuous=false;
		drySound[]={,1,1};
		reloadSound[]={,1,1};
		reloadMagazineSound[]={,1,1};
		initSpeed=0;
		maxLeadSpeed=50; // max estimated speed km/h
		flash=;
		flashSize=0;
		dispersion=0.002;
		aiDispersionCoefX=1.0;
		aiDispersionCoefY=1.0;
		canLock=LockYes;
		enableAttack=true;
		ffMagnitude=0;
		ffFrequency=1;
		ffCount=1;
		recoil=Empty;
		model="";
		modelSpecial="";
		modelMagazine="\misc\mag_univ.p3d";
		// position and direction of muzzle
		muzzlePos="usti hlavne";
		muzzleEnd="konec hlavne";
		// position and velocity of outgoing empty cartridge
		cartridgePos="nabojnicestart";
		cartridgeVel="nabojniceend";

		modelOptics="";
		opticsFlare = true;
		optics = true;
		forceOptics = false;

		opticsZoomMin=0.35;
		opticsZoomMax=0.35;
		distanceZoomMin=400;
		distanceZoomMax=400;

		primary = 10;
		showEmpty = true;
		autoFire = false;
		autoReload = true;

		aiRateOfFire=5.0; // delay between shots at given distance
		aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

		backgroundReload = false;
		reloadAction = ManActReloadMagazine;
		// class is used for weapon, muzzle, magazine and mode
		// weapon level
		muzzles[] = {this};		// muzzles on weapon
		// muzzle level
		magazines[] = {this};	// available magazines for muzzle
		// magazine level
		modes[] = {this};			// modes of magazine (muzzle)
		// mode level

		useAction = false;
		useActionTitle = "";

		canDrop = true;
	};

	class Shell73 : Default
	{
		//--
		scopeWeapon = private;
		scopeMagazine = public;

		displayName = $STR_DN_SHELL;
		displayNameMagazine = $STR_MN_SHELL;
		shortNameMagazine = $STR_SN_SHELL;
		nameSound="shell";

		ammo=Shell73;
		count=15;
		initSpeed=700;

		reloadTime=16.0;
		sound[]={Weapons\gun73,db20,1};
		reloadSound[]={Weapons\reload,db-60,1};
		ffCount=1;
	};
	class Heat73: Shell73
	{
		//--
		ammo=Heat73;
		displayName = $STR_DN_HEAT;
		displayNameMagazine = $STR_MN_HEAT;
		shortNameMagazine = $STR_SN_HEAT;
		nameSound="heat";
	};
	class Gun73: Default
	{
		//--
		scopeWeapon = public;
		scopeMagazine = private;

		displayName=$STR_DN_GUN;
		sound[]={Weapons\gun73,db20,1};
		reloadSound[]={Weapons\reload,db-60,1};

		backgroundReload = true;

		ffMagnitude=1;
		ffFrequency=5;
		magazines[] = {Heat73, Shell73};
	};

	class Shell105: Shell73
	{
		//--
		ammo=Shell105;
		count=35;
		initSpeed=900;
		
		reloadTime=16.0;
		sound[]={Weapons\gun105,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
	};
	class Heat105: Shell105
	{
		//--
		ammo=Heat105;
		displayName = $STR_DN_HEAT;
		displayNameMagazine = $STR_MN_HEAT;
		shortNameMagazine = $STR_SN_HEAT;
		nameSound="heat";
		sound[]={Weapons\gun105,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
	};
	class Gun105: Gun73
	{
		//--
		sound[]={Weapons\gun105,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
		magazines[] = {Heat105, Shell105};
	};
	class Shell120: Shell105
	{
		//--
		ammo=Shell120;
		count=35;
		initSpeed=1500;
		
		reloadTime=8.0;
		sound[]={Weapons\gun120,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
	};
	class Heat120: Shell120
	{
		//--
		ammo=Heat120;
		displayName = $STR_DN_HEAT;
		displayNameMagazine = $STR_MN_HEAT;
		shortNameMagazine = $STR_SN_HEAT;
		nameSound="heat";
		sound[]={Weapons\gun120,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
	};
	class Gun120: Gun105
	{
		//--
		sound[]={Weapons\gun120,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
		magazines[] = {Heat120, Shell120};
	};
	class Shell125: Shell120
	{
		//--
		ammo=Shell125;
		count=35;
		initSpeed=1200;

		reloadTime=8.0;
		sound[]={Weapons\gun125,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
	};
	class Heat125: Shell125
	{
		//--
		ammo=Heat125;
		displayName = $STR_DN_HEAT;
		displayNameMagazine = $STR_MN_HEAT;
		shortNameMagazine = $STR_SN_HEAT;
		nameSound="heat";
		sound[]={Weapons\gun125,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
	};
	class Gun125: Gun120
	{
		//--
		sound[]={Weapons\gun125,db20,1};
		reloadSound[]={Weapons\missload,db-70,1};
		magazines[] = {Heat125, Shell125};
	};
	
	class MGun: Default // default
	{
		//--
		ammo=BulletSingle;
		displayName = $STR_DN_MGUN;
		displayNameMagazine = $STR_MN_MGUN;
		shortNameMagazine = $STR_SN_MGUN;
		nameSound="mgun";
		count=100;
		reloadTime=0.25;
		sound[]={"Weapons\M60mgun",db0,1};
		soundContinuous=true;
		reloadSound[]={,1,1};
		initSpeed=900;
		flash=gunfire;
		flashSize=0.5;
		optics = false;
	};
	class Riffle: MGun
	{
		//--
		//--
		cursor = w_weapon_T;
		cursorAim = w_weapon_S;
		
		ammo=BulletSingle;
		displayName=$STR_DN_RIFLE;
		displayNameMagazine = $STR_MN_MGUN;
		shortNameMagazine = $STR_SN_MGUN;
		weaponType = WeaponSlotPrimary;
		magazineType = WeaponSlotItem;
		count=30;
		reloadTime=0.15;
		magazineReloadTime=5;
		sound[]={42m16,db0,1};
		//drySound[]={"weapons\m16dry",db-70,1};
		reloadSound[]={,1,1};
		reloadMagazineSound[]={"weapons\m16load",db-70,1};

		opticsFlare = false;
		autoReload = false;

		flash=gunfire;
		flashSize=0.5;
		dispersion=0.0001;

		aiDispersionCoefX=2.0;
		aiDispersionCoefY=2.0;

		maxLeadSpeed=23; // max estimated speed km/h
		canLock=LockNo;

		ffMagnitude=0.5;
		ffFrequency=11;
		ffCount=3;

	};

	class StrokeFist: Default
	{
		//--
		scopeWeapon = protected; // do not show in briefing
		scopeMagazine = protected; // enable weapon selection

		ammo = StrokeFistHit;

		weaponType = WeaponNoSlot;
		magazineType = WeaponNoSlot;

		displayName=$STR_DN_FIST;
		displayNameMagazine=$STR_MN_FIST;
		shortNameMagazine=$STR_SN_FIST;

		sound[]={Weapons\grenade_launch,db-50,1};
		reloadSound[]={,db-70,1};

		aiDispersionCoefX=2.0;
		aiDispersionCoefY=2.0;

		enableAttack=false;

		primary = 1; // very low priority
		showEmpty = false;

		autoReload = true;
		burst=0; // do not waste any ammo
		multiplier=0; // do not show any ammo

		magazines[] = {StrokeFist};

		reloadTime=0;
		initSpeed=0;
		canLock=LockNo;

		ffMagnitude=0.1;
		ffFrequency=1;
		ffCount=1;
		recoil=Empty;

		dispersion=0.015;
		
		maxLeadSpeed = 15;
		optics = false;

		muzzlePos="";
		muzzleEnd="";

		count=100;

		canDrop = false;
	};

	class StrokeGun: StrokeFist
	{
		ammo = StrokeGunHit;
		scopeWeapon = private; // not weapon 
		scopeMagazine = protected; // only hidden magazine

		displayName=$STR_DN_STRIKE;
		displayNameMagazine=$STR_MN_STRIKE;
		shortNameMagazine = $STR_SN_STRIKE;
		count=100;

		modelOptics="";
		magazines[] = {StrokeGun};
		primary = 1; // very low priority
	};

	class M16: Riffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="m16_proxy";
		modelOptics="optika_m16";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName = $STR_DN_M16;
		displayNameMagazine = $STR_MN_M16;
		shortNameMagazine = $STR_SN_M16;
		drySound[]={"weapons\M16dry",db-40,1};	// empty magazine

		magazines[] = {M16, Mortar};

		modes[] = {Single, Burst};
		class Single
		{
			ammo = BulletSingleW;
			multiplier=1;
			burst=1;
			displayName=$STR_DN_M16;
			dispersion=0.0002;
			sound[]={"Weapons\M16Single",db0,1};
			soundContinuous=false;
			reloadTime=0.15;
			ffCount=1;
			recoil=riffleSingle;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class Burst
		{
			ammo = BulletBurstW;
			multiplier=1;
			burst=3;
			displayName=$STR_DN_M16_BURST;
			dispersion=0.0004;
			sound[]={"Weapons\M16Burst",db0,1};
			//sound[]={"",db0,1};
			soundContinuous=false;
			reloadTime=0.1;
			ffCount=3;
			recoil=riffleBurst3;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
	};

	class M16S: M16
	{	// M16 capable of striking
		muzzles[] = {M16Muzzle, M16StrikeMuzzle};
		picture="M16"; // default picture name is class name
		class M16Muzzle: M16
		{
			magazines[] = {M16};
		};
		class M16StrikeMuzzle: StrokeGun
		{
		}
	};

	class M4 : Riffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="XM-177E2_proxy";
		modelOptics="optika_m16";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName=$STR_DN_M4;
		displayNameMagazine = $STR_MN_M4;
		shortNameMagazine = $STR_SN_M4;
		drySound[]={"weapons\M16Dry",db-50,1};	// empty magazine

		magazines[] = {M4, Mortar};

		modes[] = {Single, FullAuto};
		class Single
		{
			ammo = BulletSingleW;
			multiplier=1;
			burst=1;
			displayName=$STR_DN_M4;
			dispersion=0.002;
			sound[]={"Weapons\M16Single",db0,1};
			soundContinuous=false;
			reloadTime=0.15;
			ffCount=1;
			recoil=riffleSingle;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class FullAuto
		{
			ammo = BulletFullAutoW;
			multiplier=1;
			burst=1;
			displayName = $STR_DN_M4_AUTO;
			dispersion=0.004;
			sound[]={"Weapons\xm-loop2",db0,1};
			//sound[]={"",db0,1};
			soundContinuous=true;
			reloadTime=0.1;
			ffCount=30;
			recoil=riffleBurst3;
			autoFire = true;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
	};
	class AK47: Riffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="AK_47_proxy";
		modelOptics="optika_ak47";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName = $STR_DN_AK47;
		displayNameMagazine = $STR_MN_AK47;
		shortNameMagazine = $STR_SN_AK47;
		drySound[]={"weapons\AK74Dry",db-40,1};	// empty magazine
		modes[] = {Single, Burst, FullAuto};
		class Single
		{
			ammo = BulletSingleG;
			multiplier = 1;
			burst=1;
			displayName = $STR_DN_AK47;
			dispersion=0.0002;
			sound[]={"Weapons\AK74Single",db0,1};
			soundContinuous=false;
			reloadTime=0.15;
			ffCount=1;
			recoil=riffleSingle;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class Burst
		{
			ammo = BulletBurstG;
			multiplier=1;
			burst=3;
			displayName = $STR_DN_AK47_BURST;
			dispersion=0.0004;
			sound[]={"Weapons\AK74Burst",db0,1};
			//sound[]={"",db0,1};
			soundContinuous=false;
			reloadTime=0.1;
			ffCount=3;
			recoil=riffleBurst3;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class FullAuto
		{
			ammo = BulletFullAutoG;
			multiplier=1;
			burst=1;
			displayName = $STR_DN_AK47_AUTO;
			dispersion=0.0008;
			sound[]={"Weapons\AK74Full",db0,1};
			soundContinuous=true;
			reloadTime=0.1;
			ffCount=30;
			recoil=riffleBurst3;
			autoFire = true;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
	};
	class AK47CZ: AK47
	{
		//--
		scopeWeapon = public;
		scopeMagazine = private;

		model="AK_47_v58_proxy";
		modelOptics="optika_ak47";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName = $STR_DN_AK47_CZ;
		drySound[]={"weapons\AK74Dry",db-40,1};	// empty magazine
		modes[] = {Single, Burst, FullAuto};
		magazines[] = {AK47};
	};
	class AK74: Riffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="AK_74_proxy";
		modelOptics="optika_ak47";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName = $STR_DN_AK74;
		displayNameMagazine = $STR_MN_AK74;
		shortNameMagazine = $STR_SN_AK74;
		drySound[]={"weapons\AK74Dry",db0,1};	// empty magazine
		modes[] = {Single, Burst, FullAuto};
		class Single
		{
			ammo = BulletSingleE;
			multiplier = 1;
			burst=1;
			displayName = $STR_DN_AK74;
			dispersion=0.0002;
			sound[]={"Weapons\AK74Single",db0,1};
			soundContinuous=false;
			reloadTime=0.15;
			ffCount=1;
			recoil=riffleSingle;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class Burst
		{
			ammo = BulletBurstE;
			multiplier=1;
			burst=3;
			displayName=$STR_DN_AK74_BURST;
			dispersion=0.0004;
			sound[]={"Weapons\AK74Burst",db0,1};
			//sound[]={"",db0,1};
			soundContinuous=false;
			reloadTime=0.1;
			ffCount=3;
			recoil=riffleBurst3;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class FullAuto
		{
			ammo = BulletFullAutoE;
			multiplier=1;
			burst=1;
			displayName=$STR_DN_AK74_AUTO;
			dispersion=0.0008;
			sound[]={"Weapons\AK74Full",db0,1};
			soundContinuous=true;
			reloadTime=0.1;
			ffCount=30;
			recoil=riffleBurst3;
			autoFire = true;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
	};
	class AK74SU: AK74
	{
		//--
		scopeWeapon = public;
		scopeMagazine = private;

		model="AK_74_SU_proxy";
		modelOptics="optika_ak47";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName=$STR_DN_AK74_SU;
		drySound[]={"weapons\AK74Dry",db-40,1};	// empty magazine
		modes[] = {Single, Burst, FullAuto};
		magazines[] = {AK74};
	};

	class HK : Riffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="HKM5_SD6_proxy";
		modelOptics="optika_HK";

		displayName = $STR_DN_HK;
		displayNameMagazine = $STR_MN_HK;
		shortNameMagazine = $STR_SN_HK;
		drySound[]={"weapons\m16dry",db-70,1};	// empty magazine
		optics = true;
		opticsZoomMin=0.3; //better zoom than M16 because it is a spec ops weapon
		opticsZoomMax=0.3;
		distanceZoomMin=150;
		distanceZoomMax=150;

		initSpeed=400;
		modes[] = {Single, FullAuto};
		class Single
		{
			ammo = BulletSilencedSingleW;
			multiplier=1;
			burst=1;
			displayName = $STR_DN_HK;
			dispersion=0.002;
			sound[]={"Weapons\hk_singleshot",db-70,1};
			soundContinuous=false;
			reloadTime=0.15;
			recoil=riffleSilenced;
			ffCount=1;
			autoFire = false;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
		class FullAuto
		{
			ammo = BulletSilencedBurstW;
			multiplier=1;
			burst=1;
			displayName=$STR_DN_HK_AUTO;
			dispersion=0.004;
			sound[]={"Weapons\hk_fullauto",db-70,1};
			soundContinuous=true;
			reloadTime=0.1;
			ffCount=1;
			recoil=riffleSilenced;
			autoFire = true;
			aiRateOfFire=5.0; // delay between shots at given distance
			aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

			useAction = false;
			useActionTitle = "";
		};
	};
	
	class SniperRiffle : Riffle
	{
		//--
		ammo = BulletSingle;
		displayName = $STR_DN_SNIPER_RIFFLE;
		dispersion=0.00003;
		//dispersion=0.0000;
		optics = true;
		opticsZoomMin=0.160;
		opticsZoomMax=0.160;
		sound[]={Weapons\AKFire_Single,db0,1};
		soundContinuous=false;
		reloadTime=0.3;
		recoil=sniperSingle;
		opticsFlare = true;

		aiRateOfFire=5.0; // delay between shots at given distance
		aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero
		maxLeadSpeed=50; // max estimated speed km/h
	};

	class M21 : SniperRiffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="M21_proxy";
		modelOptics = "optika_snpierw";

		sound[]={Weapons\m21,db0,1};
		
		count=20;
		ammo = BulletSniperW;
		opticsZoomMin=0.04;
		opticsZoomMax=0.12;
		distanceZoomMin=400;
		distanceZoomMax=80;
		displayName = $STR_DN_M21;
		displayNameMagazine = $STR_MN_M21;
		shortNameMagazine = $STR_SN_M21;
	};
	class SVDDragunov : SniperRiffle
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="SVD_dragunov_proxy";
		modelOptics = "optika_snpiere";

		count=10;
		ammo = BulletSniperE;
		opticsZoomMin=0.04;
		opticsZoomMax=0.04;
		distanceZoomMin=300;
		distanceZoomMax=300;
		displayName = $STR_DN_SVD;
		displayNameMagazine = $STR_MN_SVD;
		shortNameMagazine = $STR_SN_SVD;
	};
	
	class Binocular : Default
	{
		//--
		scopeWeapon = public;
		scopeMagazine = protected;

		model="dalekohled_proxy";
		modelOptics="optika_dalekohled";

		weaponType = WeaponSlotBinocular;
		magazineType = WeaponNoSlot;
		ammo=; // no ammo
		displayName = $STR_DN_BINOCULAR;
		reloadTime=0.0;
		sound[]={,0,1};
		canLock=LockNo;

		optics = true;
		forceOptics = true;

		primary = false;
		opticsZoomMin=0.085;
		opticsZoomMax=0.085;

		magazines[] = {};
	};
	class NVGoggles : Binocular
	{
		//--
		displayName=$STR_DN_NV_GOGGLES;

		showEmpty = false;

		opticsZoomMin=1.0;
		opticsZoomMax=1.0;

		modelOptics="optika_night";
	}
	class Phone : Binocular
	{
		scopeWeapon = protected;
		displayName=$STR_DN_PHONE;

		showEmpty = false;

		opticsZoomMin=1.0;
		opticsZoomMax=1.0;

		model = "sluchatko_proxy";
		modelOptics="";
	}

	class MachineGun7_6: MGun
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		ammo=Bullet7_6;
		count=500;
		reloadTime=0.1;
		//sound[]={36heavymachinegun,0.5,1};
		reloadSound[]={,1,1};
		sound[]={"Weapons\M60mgun",db10,1};
		//sound[]={"final\wpn\MachineGun",db10,1};
		initSpeed=1000;
		flash=gunfire;
		flashSize=0.9;
		dispersion=0.007;
		maxLeadSpeed=300; // max estimated speed km/h

		aiDispersionCoefX=5; // dispersion used to simulate horizontal burst

		ffMagnitude=0.5;
		ffFrequency=11;
		ffCount=6;
		recoil=mgunBurst3;

		aiRateOfFire=0.5; // delay between shots at given distance
		aiRateOfFireDistance=1000; // at shorter distance delay goes lineary to zero
		autoFire = true;

		optics = true;
	};
	class MachineGun7_6Manual: MachineGun7_6
	{
		//--
		scopeWeapon = private;
		scopeMagazine = private;

		weaponType = WeaponSlotPrimary + WeaponSlotSecondary;
		count=100;
		magazineType = 2 * WeaponSlotItem;
		canLock=LockNo;

		reloadAction = ManActReloadMagazine;
		//reloadAction = ManActReloadMGun;
		autoReload = false;

		optics = true;
		opticsFlare = false;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;
	};
	class M60 : MachineGun7_6Manual
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		ammo=Bullet7_6W;

		model="M60_MG_proxy";
		modelOptics="optika_M60_MG";
		displayName = $STR_DN_M60_MG;
		displayNameMagazine = $STR_MN_M60_MG;
		shortNameMagazine = $STR_SN_M60_MG;
	};
	class PK : MachineGun7_6Manual
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		ammo=Bullet7_6E;

		model="PK_MG_proxy";
		modelOptics="optika_PK";
		sound[]={"Weapons\AK74full",db10,1};
		displayName = $STR_DN_PK;
		displayNameMagazine = $STR_MN_PK;
		shortNameMagazine = $STR_SN_PK;
	};
	class MachineGun12_7: MachineGun7_6
	{
		//--
		ammo=Bullet12_7;
		count=500;
		initSpeed=1000;
		reloadTime=0.1;
		sound[]={"Weapons\m2-50-loop",db10,1};
		flashSize=1.1;
		maxLeadSpeed=350; // max estimated speed km/h
	};
	class Browning : MachineGun12_7
	{
		//--
		ammo=Bullet12_7;
		sound[]={"Weapons\m2-50-loop",db30,1};
	};

	class MachineGun30: MachineGun7_6
	{
		//--
		displayName = $STR_DN_MG30;
		displayNameMagazine = $STR_MN_MG30;
		shortNameMagazine = $STR_SN_MG30;
		ammo=Bullet30;
		count=500;
		reloadTime=0.18;
		initSpeed=1000;
		//sound[]={"Weapons\vulcan",db10,1};
		sound[]={"Weapons\automatic_cannon",db10,1};
		flashSize=1.1;
		maxLeadSpeed=450; // max estimated speed km/h
		optics = true;
	};
	class MachineGun30A10: MachineGun30
	{
		//--
		canLock = LockNo;
		sound[]={"Weapons\vulcan",db10,1};
		count=2000;
		multiplier = 4;
	};
	class ZsuCannon: MachineGun30
	{
		//--
		ammo=Bullet4x23;
		count=2000;
		multiplier = 4;
		initSpeed=900;
		flashSize=1.2;
		reloadTime=0.1;
		displayName = $STR_DN_AZP23;
		displayNameMagazine = $STR_MN_AZP23;
		shortNameMagazine = $STR_SN_AZP23;
		dispersion=0.0015;
		maxLeadSpeed=900; // max estimated speed km/h

		aiRateOfFire=0.3; // delay between shots at given distance
		aiRateOfFireDistance=3000; // at shorter distance delay goes lineary to zero
	};

	class GrenadeLauncher: Default
	{
		//--
		
		cursor = "t_select.paa";
		
		scopeMagazine = public;

		weaponType = WeaponNoSlot;
		magazineType = 2 * WeaponSlotItem;
		ammo=Grenade;
		displayName = $STR_DN_GRENADE;
		displayNameMagazine = $STR_MN_GRENADE;
		shortNameMagazine = $STR_SN_GRENADE;
		count=1;
//		reloadTime=5.0;
		reloadTime=0;
		sound[]={Weapons\grenade_launch,db-70,1};
		reloadSound[]={Weapons\M16load,db-70,1};
		initSpeed=60;
		canLock=LockNo;

		autoReload = false;

		ffMagnitude=0.1;
		ffFrequency=1;
		ffCount=1;
		recoil=Empty;

		dispersion=0.015;
		aiDispersionCoefY=2.0; // dispersion used to simulate distance est. error
		
		maxLeadSpeed = 15;
		optics = false;

		muzzlePos="usti granatometu";
		muzzleEnd="konec granatometu";
	};


	class RiffleGrenadeLauncher
	{
		//--
		scopeWeapon = private;
		scopeMagazine = private;

		weaponType = WeaponSlotPrimary;

		displayName = $STR_DN_RIFLE_GRENADE;
		model="";
		picture="";

		muzzles[] = {RiffleMuzzle, GrenadesMuzzle};
		class RiffleMuzzle : Riffle
		{
			modelOptics="";
			magazines[] = {Riffle};
		};
		class GrenadesMuzzle : GrenadeLauncher
		{
			modelOptics="";
			magazines[] = {GrenadeLauncher, Flare, FlareGreen, FlareRed, FlareYellow};
		}

		canDrop = true;
	};
	class M16GrenadeLauncher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = private;

		weaponType = WeaponSlotPrimary;

		displayName = $STR_DN_M16_GRENADE;
		model="m16_granatomet_proxy";
		picture="";

		muzzles[] = {M16Muzzle, M203Muzzle};
		class M16Muzzle : M16
		{
			magazines[] = {M16};
		};
		class M203Muzzle : GrenadeLauncher
		{
			displayName=$STR_DN_M203;
			sound[]={weapons\M16GrenadeLaunch, db-70,1};
			magazines[] = {GrenadeLauncher, Flare, FlareGreen, FlareRed, FlareYellow};
			//optics = true;

			//opticsZoomMin=0.40;
			//opticsZoomMax=0.40;

			//modelOptics="optika_m16_granatomet";
		}

		canDrop = true;
	};
	class AK47GrenadeLauncher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = private;

		weaponType = WeaponSlotPrimary;

		displayName = $STR_DN_AK47_GRENADE;
		model="ak_47_granatomet_proxy";

		picture="";

		muzzles[] = {AK47Muzzle, GrenadesMuzzle};
		class AK47Muzzle : AK47
		{
			magazines[] = {AK47};
		};
		class GrenadesMuzzle : GrenadeLauncher
		{
			magazines[] = {GrenadeLauncher, Flare, FlareGreen, FlareRed, FlareYellow};
			//optics = true;
			//opticsZoomMin=0.40;
			//opticsZoomMax=0.40;
			//modelOptics="optika_ak47_granatomet";
		}

		canDrop = true;
	};
	class AK74GrenadeLauncher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = private;

		weaponType = WeaponSlotPrimary;

		displayName = $STR_DN_AK74_GRENADE;
		model="ak_74_granatomet_proxy";

		picture="";

		muzzles[] = {AK74Muzzle, GrenadesMuzzle};
		class AK74Muzzle : AK74
		{
			magazines[] = {AK74};
		};
		class GrenadesMuzzle : GrenadeLauncher
		{
			magazines[] = {GrenadeLauncher, Flare, FlareGreen, FlareRed, FlareYellow};
			//optics = true;
			//opticsZoomMin=0.40;
			//opticsZoomMax=0.40;
			//modelOptics="optika_ak47_granatomet";
		}

		canDrop = true;
	};

	class Mortar : GrenadeLauncher
	{
		//--
		scopeWeapon = private;
		scopeMagazine = public;

		modelSpecial="m16_mortar_proxy";

		// weaponType = WeaponSlotSecondary;
		magazineType = 2 * WeaponSlotItem;
		ammo=MortarShell;
		displayName = $STR_DN_MORTAR_W;
		displayNameMagazine = $STR_MN_MORTAR_W;
		shortNameMagazine = $STR_SN_MORTAR_W;
		count=1;
		initSpeed=70;

		reloadAction = ManActReloadMortar;

		modes[] = {this, this};
		// autoReload = false;

		// primary=false;
	}

	class Flare : GrenadeLauncher
	{
		//--
		scopeWeapon = private;
		scopeMagazine = public;

		magazineType = WeaponSlotItem;
		count=1;
		ammo=Flare;
		displayName = $STR_DN_FLARE;
		displayNameMagazine = $STR_MN_FLARE;
		shortNameMagazine = $STR_SN_FLARE;
		initSpeed=80;
	};
	class FlareGreen : Flare
	{
		//--
		ammo = FlareGreen;
		displayName = $STR_DN_FLARE_GREEN;
		displayNameMagazine = $STR_MN_FLARE_GREEN;
		shortNameMagazine = $STR_SN_FLARE_GREEN;
	};
	class FlareRed : Flare
	{
		//--
		ammo = FlareRed;
		displayName = $STR_DN_FLARE_RED;
		displayNameMagazine = $STR_MN_FLARE_RED;
		shortNameMagazine = $STR_SN_FLARE_RED;
	};
	class FlareYellow : Flare
	{
		ammo = FlareYellow;
		displayName = $STR_DN_FLARE_YELLOW;
		displayNameMagazine = $STR_MN_FLARE_YELLOW;
		shortNameMagazine = $STR_SN_FLARE_YELLOW;
	};

	class Throw: GrenadeLauncher
	{
		scopeWeapon = protected;
		scopeMagazine = private;

		weaponType = WeaponNoSlot;
		displayName=$STR_DN_THROW;
		sound[]={,db-70,1};
		reloadSound[]={,db-70,1};

		aiDispersionCoefX=2.0;
		aiDispersionCoefY=2.0;

		enableAttack=false;
		
		showEmpty = false;
		autoReload = true;

		magazines[] = {HandGrenade, SmokeShell, SmokeShellRed, SmokeShellGreen};

		canDrop = false;
	};
	class HandGrenade: GrenadeLauncher
	{
		//--
		scopeWeapon = private;
		scopeMagazine = public;

		magazineType = WeaponSlotItem;
		ammo=GrenadeHand;
		displayName=$STR_DN_HAND_GRENADE;
		displayNameMagazine=$STR_MN_HAND_GRENADE;
		shortNameMagazine=$STR_SN_HAND_GRENADE;
		initSpeed=22;
		maxLeadSpeed = 7;
		reloadTime=1.5;
		count=1;
		sound[]={,db-70,1};
	};
	/*
	class FistHit: HandGrenade
	{
		scopeWeapon = private;
		scopeMagazine = protected;

		magazineType = WeaponSlotNone;
		ammo = StrokeFistHit;
		displayName="Fist";
		displayNameMagazine="Fist";
		shortNameMagazine = "Fist";
		initSpeed=10;
		maxLeadSpeed = 7;
		reloadTime=1.5;
		count=1000;

		model=;
		explosive=false;

		sound[]={,db-70,1};
	};
	class RiffleHit: FistHit
	{
		ammo = StrokeGunHit;
		displayName="Strike";
		displayNameMagazine="Strike";
		shortNameMagazine = "Strike";
	};
	*/
	class SmokeShell: HandGrenade
	{
		//--
		ammo=SmokeShell;
		displayName=$STR_DN_SMOKE;
		displayNameMagazine=$STR_MN_SMOKE;
		shortNameMagazine=$STR_SN_SMOKE;
	};
	class SmokeShellRed: SmokeShell
	{
		//--
		ammo = SmokeShellRed;
		displayName=$STR_DN_SMOKE_RED;
		displayNameMagazine=$STR_MN_SMOKE_RED;
		shortNameMagazine=$STR_SN_SMOKE_RED;
	};
	class SmokeShellGreen: SmokeShell
	{
		//--
		ammo = SmokeShellGreen;
		displayName=$STR_DN_SMOKE_GREEN;
		displayNameMagazine=$STR_MN_SMOKE_GREEN;
		shortNameMagazine=$STR_SN_SMOKE_GREEN;
	};

	class Put : Default
	{
		//--
		scopeWeapon = protected;
		scopeMagazine = private;

		weaponType = WeaponNoSlot;
		displayName=$STR_DN_PUT;
		sound[]={,db-70,1};
		reloadSound[]={,db-70,1};

		canLock=LockNo;
		enableAttack=false;
		optics = false;
		primary=false;
		showEmpty = false;

//		magazines[] = {TimeBomb, PipeBomb, Mine, NVGoggles};
		magazines[] = {TimeBomb, PipeBomb, Mine, MineE};

		canDrop = false;
	};
	class TimeBomb : Default
	{
		scopeWeapon = private;
		scopeMagazine = private;

		magazineType = 2 * WeaponSlotItem;
		ammo=TimeBomb;
		displayName=$STR_DN_TIME_BOMB;
		displayNameMagazine=$STR_MN_TIME_BOMB;
		shortNameMagazine=$STR_SN_TIME_BOMB;

		enableAttack = true;

		count=1;
		initSpeed=0;
		maxLeadSpeed=0;

		useAction = true;
		useActionTitle = $STR_ACTION_PUTBOMB;

		sound[]={People\gravel_L,db-70,1};
	};
	class Mine : TimeBomb
	{
		//--
		scopeMagazine = public;
		enableAttack = false;

		magazineType = 2 * WeaponSlotItem;
		ammo=Mine;
		displayName=$STR_DN_MINE;
		displayNameMagazine=$STR_MN_MINE;
		shortNameMagazine=$STR_SN_MINE;
	}
	class MineE : TimeBomb
	{
		//--
		scopeMagazine = public;
		enableAttack = false;

		magazineType = 2 * WeaponSlotItem;
		ammo=MineE;
		displayName=$STR_DN_MINE;
		displayNameMagazine=$STR_MN_MINE;
		shortNameMagazine=$STR_SN_MINE;
	}
	
	
/*
	class NVGoggles : Default
	{
		scopeWeapon = private;
		scopeMagazine = public;

		magazineType = WeaponSlotItem;
		ammo=;
		displayName="NV Goggles";
		displayNameMagazine="NV Goggles";
		shortNameMagazine="NV";

		enableAttack = false;

		count=1;
		initSpeed=0;
		maxLeadSpeed=0;

		useAction = true;
		useActionTitle = "Use %s";

		sound[]={People\gravel_L,db-70,1};
	}
*/

	class PipeBomb : Put
	{
		//--
		scopeWeapon = private;
		scopeMagazine = public;

		enableAttack = true;

		magazineType = 2 * WeaponSlotItem;
		ammo=PipeBomb;
		displayName=$STR_DN_PIPE_BOMB;
		displayNameMagazine=$STR_MN_PIPE_BOMB;
		shortNameMagazine=$STR_SN_PIPE_BOMB;

		count=1;
		initSpeed=0;
		maxLeadSpeed=0;

		showEmpty = false;
		
		useAction = true;
		useActionTitle = $STR_ACTION_PUTBOMB;

		sound[]={People\gravel_L,db-70,1};
		magazines[] = {this};
/*
		magazines[] = {this};
		modes[] = {this, TouchOff};
		class TouchOff : Default
		{
			ammo = "";
			displayName="Touch Off";
			reloadTime=0.0;
			sound[]={,0,1};
			magazines[] = {};

			useAction = true;
			useActionTitle = "Touch Off Pipe Bomb(s)";
		};
*/
	};

	class LAWLauncher: Default
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		weaponType = WeaponSlotSecondary;
		magazineType = 2 * WeaponSlotItem;

		model="law_proxy";
		modelOptics="optika_LAW";

		ammo=LAW;

		displayName=$STR_DN_LAW;
		displayNameMagazine=$STR_MN_LAW;
		shortNameMagazine=$STR_SN_LAW;
		count=1;
		magazineReloadTime=12;
		reloadTime=0.5;
		sound[]={Weapons\at_launch,db-40,1};
		reloadMagazineSound[]={Weapons\at_load,db-70,1};
		initSpeed=30;
		canLock=LockNo;

		reloadAction = ManActReloadAT;
		autoReload = false;

		ffMagnitude=0.1;
		ffFrequency=1;
		ffCount=1;
		recoil=LAWSingle;
		aiRateOfFire=10.0; // delay between shots at given distance
		aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero
		optics = true;
		primary=false;

		opticsZoomMin=0.18;
		opticsZoomMax=0.18;

		distanceZoomMin=100;
		distanceZoomMax=100;
	};
	class RPGLauncher: LAWLauncher
	{
		//--
		model="RPG7_proxy";
		modelOptics="optika_RPG";

		ammo=RPG;
		displayName=$STR_DN_RPG;
		displayNameMagazine=$STR_MN_RPG;
		shortNameMagazine=$STR_SN_RPG;
	};
	
	class CarlGustavLauncher : LAWLauncher
	{
		//--
		magazineType = 6 * WeaponSlotItem;
		model="carlgustav84_proxy";
		modelOptics="optika_CarlGustav";
		canLock=LockCadet;

		ammo=CarlGustav;
		displayName=$STR_DN_CARL_GUSTAV;
		displayNameMagazine=$STR_MN_CARL_GUSTAV;
		shortNameMagazine=$STR_SN_CARL_GUSTAV;
	};
	class AT4Launcher : CarlGustavLauncher
	{
		//--
		model="AT-4_SpigotB_proxy";
		modelOptics="optika_AT4_Spigot_B";

		ammo=AT4;
		displayName=$STR_DN_AT4;
		displayNameMagazine=$STR_MN_AT4;
		shortNameMagazine=$STR_SN_AT4;
	};

	/*!
	\patch 1.22 Date 8/30/2001 by Ondra
	- Fixed: AI was not using AA missile against fast moving units.
	*/
	class AALauncher: CarlGustavLauncher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		model="Stinger_proxy";
		modelOptics="optika_stinger";
		magazineType = 6 * WeaponSlotItem;
		canLock=LockYes;

		ammo=AA;
		displayName=$STR_DN_AA;
		displayNameMagazine=$STR_MN_AA;
		shortNameMagazine=$STR_SN_AA;
		initSpeed=30;
		maxLeadSpeed=600; // max estimated speed km/h
		primary=false;
	};
	class 9K32Launcher : AALauncher
	{
		//--
		model="9K32_Strela_proxy";
		modelOptics="optika_strela";
		ammo=9K32;
		displayName=$STR_DN_9K32;
		displayNameMagazine=$STR_MN_9K32;
		shortNameMagazine=$STR_SN_9K32;
	}

	class AT3Launcher: CarlGustavLauncher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		weaponType = WeaponHardMounted;
		magazineType = WeaponNoSlot;
		ammo=AT3;
		displayName=$STR_DN_AT3;
		displayNameMagazine=$STR_MN_AT3;
		shortNameMagazine=$STR_SN_AT3;
		count=6;
		reloadTime=30.0;
		sound[]={Weapons\missile,db-50,1};
		reloadSound[]={Weapons\missload,db-70,1};
		initSpeed=30;
		primary = 10;
		canLock = LockYes;

		autoReload = true;
	};
	/*!
	\patch 1.24 Date 9/20/2001 by Ondra
	- Fixed: Hellfire and Maverick: AI delay between launches was too long.
	*/

	class HellfireLauncher: AT3Launcher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		ammo=Hellfire;
		displayName=$STR_DN_TOW;
		displayNameMagazine=$STR_MN_TOW;
		shortNameMagazine=$STR_SN_TOW;
		count=8;
		reloadTime=0.5;
		sound[]={Weapons\TOW,db-30,1};
		reloadSound[]={Weapons\missload,db-70,1};
		initSpeed=0;

		aiRateOfFire=13.0; // delay between shots at given distance
		aiRateOfFireDistance=2500; // at shorter distance delay goes lineary to zero
	};
	class ZuniLauncher38: AT3Launcher
	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;

		ammo=Zuni;
		displayName=$STR_DN_FFAR;
		displayNameMagazine=$STR_MN_FFAR;
		shortNameMagazine=$STR_SN_FFAR;
		count=38;
		reloadTime=0.1;
		aiRateOfFire=0.4; // delay between shots at given distance
		aiRateOfFireDistance=1000; // at shorter distance delay goes lineary to zero
		sound[]={Weapons\rocket1,db-30,1};
		reloadSound[]={Weapons\missload,db-70,1};
		initSpeed=44;
//		magazine=4;
		//magazineReloadTime=2;
		autoFire = true;
	};
	class Rocket57x64: ZuniLauncher38
	{
		//--
		ammo=Rocket57;
		displayName=$STR_DN_ROCKET_57;
		displayNameMagazine=$STR_MN_ROCKET_57;
		shortNameMagazine=$STR_SN_ROCKET_57;
		count=64;
	};
	class Rocket57x192: Rocket57x64
	{
		//--
		count=192;
	};
	class HellfireLauncherCobra: HellfireLauncher
	{
		//--
		count=8;
	};
	class HellfireLauncherHind: HellfireLauncher
	{
		//--
		ammo=AT6;
		displayName=$STR_DN_AT6;
		displayNameMagazine=$STR_MN_AT6;
		shortNameMagazine=$STR_SN_AT6;
		count=8;
		initSpeed=30;
	};
	class MaverickLauncher: HellfireLauncher
	{
		//--
		ammo=Maverick;
		displayName=$STR_DN_MAVERICK;
		displayNameMagazine=$STR_MN_MAVERICK;
		shortNameMagazine=$STR_SN_MAVERICK;
		count=8;
		reloadTime=0.5;
		sound[]={Weapons\Missile,db-50,1};
		reloadSound[]={,0,1};
		initSpeed=0;
	};
	class CarHorn: Default
	{
		//--
		scopeWeapon = protected; // do not show in briefing

		ammo=; // no ammo
		displayName=$STR_DN_HORN;
		reloadTime=0.0;
		drySound[]={Vehicles\carhorn,db-20,1};
		canLock=LockNo;
		optics = false;
		enableAttack=false;

		magazines[] = {};
	};
	class TruckHorn: CarHorn
	{
		//--
		drySound[]={Vehicles\carhorn,db-20,0.7};
	};
	class SportCarHorn: CarHorn
	{
		//--
		drySound[]={Vehicles\sportcarhorn,db-20,1};
	};
};
